- Main Page
- Modules
- Data Structures
- Files
- Related Pages

# XCB Input API

Input XCB Protocol Implementation. More...

## Data Structures
struct | xcb_input_key_code_iterator_t
| xcb_input_key_code_iterator_t More...
struct | xcb_input_event_class_iterator_t
| xcb_input_event_class_iterator_t More...
struct | xcb_input_get_extension_version_cookie_t
| xcb_input_get_extension_version_cookie_t More...
struct | xcb_input_get_extension_version_request_t
| xcb_input_get_extension_version_request_t More...
struct | xcb_input_get_extension_version_reply_t
| xcb_input_get_extension_version_reply_t More...
struct | xcb_input_device_info_t
| xcb_input_device_info_t More...
struct | xcb_input_device_info_iterator_t
| xcb_input_device_info_iterator_t More...
struct | xcb_input_list_input_devices_cookie_t
| xcb_input_list_input_devices_cookie_t More...
struct | xcb_input_list_input_devices_request_t
| xcb_input_list_input_devices_request_t More...
struct | xcb_input_list_input_devices_reply_t
| xcb_input_list_input_devices_reply_t More...
struct | xcb_input_input_info_t
| xcb_input_input_info_t More...
struct | xcb_input_input_info_iterator_t
| xcb_input_input_info_iterator_t More...
struct | xcb_input_key_info_t
| xcb_input_key_info_t More...
struct | xcb_input_key_info_iterator_t
| xcb_input_key_info_iterator_t More...
struct | xcb_input_button_info_t
| xcb_input_button_info_t More...
struct | xcb_input_button_info_iterator_t
| xcb_input_button_info_iterator_t More...
struct | xcb_input_axis_info_t
| xcb_input_axis_info_t More...
struct | xcb_input_axis_info_iterator_t
| xcb_input_axis_info_iterator_t More...
struct | xcb_input_valuator_info_t
| xcb_input_valuator_info_t More...
struct | xcb_input_valuator_info_iterator_t
| xcb_input_valuator_info_iterator_t More...
struct | xcb_input_input_class_info_t
| xcb_input_input_class_info_t More...
struct | xcb_input_input_class_info_iterator_t
| xcb_input_input_class_info_iterator_t More...
struct | xcb_input_open_device_cookie_t
| xcb_input_open_device_cookie_t More...
struct | xcb_input_open_device_request_t
| xcb_input_open_device_request_t More...
struct | xcb_input_open_device_reply_t
| xcb_input_open_device_reply_t More...
struct | xcb_input_close_device_request_t
| xcb_input_close_device_request_t More...
struct | xcb_input_set_device_mode_cookie_t
| xcb_input_set_device_mode_cookie_t More...
struct | xcb_input_set_device_mode_request_t
| xcb_input_set_device_mode_request_t More...
struct | xcb_input_set_device_mode_reply_t
| xcb_input_set_device_mode_reply_t More...
struct | xcb_input_select_extension_event_request_t
| xcb_input_select_extension_event_request_t More...
struct | xcb_input_get_selected_extension_events_cookie_t
| xcb_input_get_selected_extension_events_cookie_t More...
struct | xcb_input_get_selected_extension_events_request_t
| xcb_input_get_selected_extension_events_request_t More...
struct | xcb_input_get_selected_extension_events_reply_t
| xcb_input_get_selected_extension_events_reply_t More...
struct | xcb_input_change_device_dont_propagate_list_request_t
| xcb_input_change_device_dont_propagate_list_request_t More...
struct | xcb_input_get_device_dont_propagate_list_cookie_t
| xcb_input_get_device_dont_propagate_list_cookie_t More...
struct | xcb_input_get_device_dont_propagate_list_request_t
| xcb_input_get_device_dont_propagate_list_request_t More...
struct | xcb_input_get_device_dont_propagate_list_reply_t
| xcb_input_get_device_dont_propagate_list_reply_t More...
struct | xcb_input_get_device_motion_events_cookie_t
| xcb_input_get_device_motion_events_cookie_t More...
struct | xcb_input_get_device_motion_events_request_t
| xcb_input_get_device_motion_events_request_t More...
struct | xcb_input_get_device_motion_events_reply_t
| xcb_input_get_device_motion_events_reply_t More...
struct | xcb_input_device_time_coord_t
| xcb_input_device_time_coord_t More...
struct | xcb_input_device_time_coord_iterator_t
| xcb_input_device_time_coord_iterator_t More...
struct | xcb_input_change_keyboard_device_cookie_t
| xcb_input_change_keyboard_device_cookie_t More...
struct | xcb_input_change_keyboard_device_request_t
| xcb_input_change_keyboard_device_request_t More...
struct | xcb_input_change_keyboard_device_reply_t
| xcb_input_change_keyboard_device_reply_t More...
struct | xcb_input_change_pointer_device_cookie_t
| xcb_input_change_pointer_device_cookie_t More...
struct | xcb_input_change_pointer_device_request_t
| xcb_input_change_pointer_device_request_t More...
struct | xcb_input_change_pointer_device_reply_t
| xcb_input_change_pointer_device_reply_t More...
struct | xcb_input_grab_device_cookie_t
| xcb_input_grab_device_cookie_t More...
struct | xcb_input_grab_device_request_t
| xcb_input_grab_device_request_t More...
struct | xcb_input_grab_device_reply_t
| xcb_input_grab_device_reply_t More...
struct | xcb_input_ungrab_device_request_t
| xcb_input_ungrab_device_request_t More...
struct | xcb_input_grab_device_key_request_t
| xcb_input_grab_device_key_request_t More...
struct | xcb_input_ungrab_device_key_request_t
| xcb_input_ungrab_device_key_request_t More...
struct | xcb_input_grab_device_button_request_t
| xcb_input_grab_device_button_request_t More...
struct | xcb_input_ungrab_device_button_request_t
| xcb_input_ungrab_device_button_request_t More...
struct | xcb_input_allow_device_events_request_t
| xcb_input_allow_device_events_request_t More...
struct | xcb_input_get_device_focus_cookie_t
| xcb_input_get_device_focus_cookie_t More...
struct | xcb_input_get_device_focus_request_t
| xcb_input_get_device_focus_request_t More...
struct | xcb_input_get_device_focus_reply_t
| xcb_input_get_device_focus_reply_t More...
struct | xcb_input_set_device_focus_request_t
| xcb_input_set_device_focus_request_t More...
struct | xcb_input_get_feedback_control_cookie_t
| xcb_input_get_feedback_control_cookie_t More...
struct | xcb_input_get_feedback_control_request_t
| xcb_input_get_feedback_control_request_t More...
struct | xcb_input_get_feedback_control_reply_t
| xcb_input_get_feedback_control_reply_t More...
struct | xcb_input_feedback_state_t
| xcb_input_feedback_state_t More...
struct | xcb_input_feedback_state_iterator_t
| xcb_input_feedback_state_iterator_t More...
struct | xcb_input_kbd_feedback_state_t
| xcb_input_kbd_feedback_state_t More...
struct | xcb_input_kbd_feedback_state_iterator_t
| xcb_input_kbd_feedback_state_iterator_t More...
struct | xcb_input_ptr_feedback_state_t
| xcb_input_ptr_feedback_state_t More...
struct | xcb_input_ptr_feedback_state_iterator_t
| xcb_input_ptr_feedback_state_iterator_t More...
struct | xcb_input_integer_feedback_state_t
| xcb_input_integer_feedback_state_t More...
struct | xcb_input_integer_feedback_state_iterator_t
| xcb_input_integer_feedback_state_iterator_t More...
struct | xcb_input_string_feedback_state_t
| xcb_input_string_feedback_state_t More...
struct | xcb_input_string_feedback_state_iterator_t
| xcb_input_string_feedback_state_iterator_t More...
struct | xcb_input_bell_feedback_state_t
| xcb_input_bell_feedback_state_t More...
struct | xcb_input_bell_feedback_state_iterator_t
| xcb_input_bell_feedback_state_iterator_t More...
struct | xcb_input_led_feedback_state_t
| xcb_input_led_feedback_state_t More...
struct | xcb_input_led_feedback_state_iterator_t
| xcb_input_led_feedback_state_iterator_t More...
struct | xcb_input_feedback_ctl_t
| xcb_input_feedback_ctl_t More...
struct | xcb_input_feedback_ctl_iterator_t
| xcb_input_feedback_ctl_iterator_t More...
struct | xcb_input_kbd_feedback_ctl_t
| xcb_input_kbd_feedback_ctl_t More...
struct | xcb_input_kbd_feedback_ctl_iterator_t
| xcb_input_kbd_feedback_ctl_iterator_t More...
struct | xcb_input_ptr_feedback_ctl_t
| xcb_input_ptr_feedback_ctl_t More...
struct | xcb_input_ptr_feedback_ctl_iterator_t
| xcb_input_ptr_feedback_ctl_iterator_t More...
struct | xcb_input_integer_feedback_ctl_t
| xcb_input_integer_feedback_ctl_t More...
struct | xcb_input_integer_feedback_ctl_iterator_t
| xcb_input_integer_feedback_ctl_iterator_t More...
struct | xcb_input_string_feedback_ctl_t
| xcb_input_string_feedback_ctl_t More...
struct | xcb_input_string_feedback_ctl_iterator_t
| xcb_input_string_feedback_ctl_iterator_t More...
struct | xcb_input_bell_feedback_ctl_t
| xcb_input_bell_feedback_ctl_t More...
struct | xcb_input_bell_feedback_ctl_iterator_t
| xcb_input_bell_feedback_ctl_iterator_t More...
struct | xcb_input_led_feedback_ctl_t
| xcb_input_led_feedback_ctl_t More...
struct | xcb_input_led_feedback_ctl_iterator_t
| xcb_input_led_feedback_ctl_iterator_t More...
struct | xcb_input_get_device_key_mapping_cookie_t
| xcb_input_get_device_key_mapping_cookie_t More...
struct | xcb_input_get_device_key_mapping_request_t
| xcb_input_get_device_key_mapping_request_t More...
struct | xcb_input_get_device_key_mapping_reply_t
| xcb_input_get_device_key_mapping_reply_t More...
struct | xcb_input_change_device_key_mapping_request_t
| xcb_input_change_device_key_mapping_request_t More...
struct | xcb_input_get_device_modifier_mapping_cookie_t
| xcb_input_get_device_modifier_mapping_cookie_t More...
struct | xcb_input_get_device_modifier_mapping_request_t
| xcb_input_get_device_modifier_mapping_request_t More...
struct | xcb_input_get_device_modifier_mapping_reply_t
| xcb_input_get_device_modifier_mapping_reply_t More...
struct | xcb_input_set_device_modifier_mapping_cookie_t
| xcb_input_set_device_modifier_mapping_cookie_t More...
struct | xcb_input_set_device_modifier_mapping_request_t
| xcb_input_set_device_modifier_mapping_request_t More...
struct | xcb_input_set_device_modifier_mapping_reply_t
| xcb_input_set_device_modifier_mapping_reply_t More...
struct | xcb_input_get_device_button_mapping_cookie_t
| xcb_input_get_device_button_mapping_cookie_t More...
struct | xcb_input_get_device_button_mapping_request_t
| xcb_input_get_device_button_mapping_request_t More...
struct | xcb_input_get_device_button_mapping_reply_t
| xcb_input_get_device_button_mapping_reply_t More...
struct | xcb_input_set_device_button_mapping_cookie_t
| xcb_input_set_device_button_mapping_cookie_t More...
struct | xcb_input_set_device_button_mapping_request_t
| xcb_input_set_device_button_mapping_request_t More...
struct | xcb_input_set_device_button_mapping_reply_t
| xcb_input_set_device_button_mapping_reply_t More...
struct | xcb_input_query_device_state_cookie_t
| xcb_input_query_device_state_cookie_t More...
struct | xcb_input_query_device_state_request_t
| xcb_input_query_device_state_request_t More...
struct | xcb_input_query_device_state_reply_t
| xcb_input_query_device_state_reply_t More...
struct | xcb_input_input_state_t
| xcb_input_input_state_t More...
struct | xcb_input_input_state_iterator_t
| xcb_input_input_state_iterator_t More...
struct | xcb_input_key_state_t
| xcb_input_key_state_t More...
struct | xcb_input_key_state_iterator_t
| xcb_input_key_state_iterator_t More...
struct | xcb_input_button_state_t
| xcb_input_button_state_t More...
struct | xcb_input_button_state_iterator_t
| xcb_input_button_state_iterator_t More...
struct | xcb_input_valuator_state_t
| xcb_input_valuator_state_t More...
struct | xcb_input_valuator_state_iterator_t
| xcb_input_valuator_state_iterator_t More...
struct | xcb_input_send_extension_event_request_t
| xcb_input_send_extension_event_request_t More...
struct | xcb_input_device_bell_request_t
| xcb_input_device_bell_request_t More...
struct | xcb_input_set_device_valuators_cookie_t
| xcb_input_set_device_valuators_cookie_t More...
struct | xcb_input_set_device_valuators_request_t
| xcb_input_set_device_valuators_request_t More...
struct | xcb_input_set_device_valuators_reply_t
| xcb_input_set_device_valuators_reply_t More...
struct | xcb_input_get_device_control_cookie_t
| xcb_input_get_device_control_cookie_t More...
struct | xcb_input_get_device_control_request_t
| xcb_input_get_device_control_request_t More...
struct | xcb_input_get_device_control_reply_t
| xcb_input_get_device_control_reply_t More...
struct | xcb_input_device_state_t
| xcb_input_device_state_t More...
struct | xcb_input_device_state_iterator_t
| xcb_input_device_state_iterator_t More...
struct | xcb_input_device_resolution_state_t
| xcb_input_device_resolution_state_t More...
struct | xcb_input_device_resolution_state_iterator_t
| xcb_input_device_resolution_state_iterator_t More...
struct | xcb_input_device_abs_calib_state_t
| xcb_input_device_abs_calib_state_t More...
struct | xcb_input_device_abs_calib_state_iterator_t
| xcb_input_device_abs_calib_state_iterator_t More...
struct | xcb_input_device_abs_area_state_t
| xcb_input_device_abs_area_state_t More...
struct | xcb_input_device_abs_area_state_iterator_t
| xcb_input_device_abs_area_state_iterator_t More...
struct | xcb_input_device_core_state_t
| xcb_input_device_core_state_t More...
struct | xcb_input_device_core_state_iterator_t
| xcb_input_device_core_state_iterator_t More...
struct | xcb_input_device_enable_state_t
| xcb_input_device_enable_state_t More...
struct | xcb_input_device_enable_state_iterator_t
| xcb_input_device_enable_state_iterator_t More...
struct | xcb_input_device_ctl_t
| xcb_input_device_ctl_t More...
struct | xcb_input_device_ctl_iterator_t
| xcb_input_device_ctl_iterator_t More...
struct | xcb_input_device_resolution_ctl_t
| xcb_input_device_resolution_ctl_t More...
struct | xcb_input_device_resolution_ctl_iterator_t
| xcb_input_device_resolution_ctl_iterator_t More...
struct | xcb_input_device_abs_calib_ctl_t
| xcb_input_device_abs_calib_ctl_t More...
struct | xcb_input_device_abs_calib_ctl_iterator_t
| xcb_input_device_abs_calib_ctl_iterator_t More...
struct | xcb_input_device_abs_area_ctrl_t
| xcb_input_device_abs_area_ctrl_t More...
struct | xcb_input_device_abs_area_ctrl_iterator_t
| xcb_input_device_abs_area_ctrl_iterator_t More...
struct | xcb_input_device_core_ctrl_t
| xcb_input_device_core_ctrl_t More...
struct | xcb_input_device_core_ctrl_iterator_t
| xcb_input_device_core_ctrl_iterator_t More...
struct | xcb_input_device_enable_ctrl_t
| xcb_input_device_enable_ctrl_t More...
struct | xcb_input_device_enable_ctrl_iterator_t
| xcb_input_device_enable_ctrl_iterator_t More...
struct | xcb_input_device_valuator_event_t
| xcb_input_device_valuator_event_t More...
struct | xcb_input_device_key_press_event_t
| xcb_input_device_key_press_event_t More...
struct | xcb_input_focus_in_event_t
| xcb_input_focus_in_event_t More...
struct | xcb_input_device_state_notify_event_t
| xcb_input_device_state_notify_event_t More...
struct | xcb_input_device_mapping_notify_event_t
| xcb_input_device_mapping_notify_event_t More...
struct | xcb_input_change_device_notify_event_t
| xcb_input_change_device_notify_event_t More...
struct | xcb_input_device_key_state_notify_event_t
| xcb_input_device_key_state_notify_event_t More...
struct | xcb_input_device_button_state_notify_event_t
| xcb_input_device_button_state_notify_event_t More...
struct | xcb_input_device_presence_notify_event_t
| xcb_input_device_presence_notify_event_t More...
struct | xcb_input_device_error_t
| xcb_input_device_error_t More...
struct | xcb_input_event_error_t
| xcb_input_event_error_t More...
struct | xcb_input_mode_error_t
| xcb_input_mode_error_t More...
struct | xcb_input_device_busy_error_t
| xcb_input_device_busy_error_t More...
struct | xcb_input_class_error_t
| xcb_input_class_error_t More...
## Defines
#define | XCB_INPUT_MAJOR_VERSION 1
#define | XCB_INPUT_MINOR_VERSION 4
#define | XCB_INPUT_GET_EXTENSION_VERSION 1
#define | XCB_INPUT_LIST_INPUT_DEVICES 2
#define | XCB_INPUT_OPEN_DEVICE 3
#define | XCB_INPUT_CLOSE_DEVICE 4
#define | XCB_INPUT_SET_DEVICE_MODE 5
#define | XCB_INPUT_SELECT_EXTENSION_EVENT 6
#define | XCB_INPUT_GET_SELECTED_EXTENSION_EVENTS 7
#define | XCB_INPUT_CHANGE_DEVICE_DONT_PROPAGATE_LIST 8
#define | XCB_INPUT_GET_DEVICE_DONT_PROPAGATE_LIST 9
#define | XCB_INPUT_GET_DEVICE_MOTION_EVENTS 10
#define | XCB_INPUT_CHANGE_KEYBOARD_DEVICE 11
#define | XCB_INPUT_CHANGE_POINTER_DEVICE 12
#define | XCB_INPUT_GRAB_DEVICE 13
#define | XCB_INPUT_UNGRAB_DEVICE 14
#define | XCB_INPUT_GRAB_DEVICE_KEY 15
#define | XCB_INPUT_UNGRAB_DEVICE_KEY 16
#define | XCB_INPUT_GRAB_DEVICE_BUTTON 17
#define | XCB_INPUT_UNGRAB_DEVICE_BUTTON 18
#define | XCB_INPUT_ALLOW_DEVICE_EVENTS 19
#define | XCB_INPUT_GET_DEVICE_FOCUS 20
#define | XCB_INPUT_SET_DEVICE_FOCUS 21
#define | XCB_INPUT_GET_FEEDBACK_CONTROL 22
#define | XCB_INPUT_GET_DEVICE_KEY_MAPPING 24
#define | XCB_INPUT_CHANGE_DEVICE_KEY_MAPPING 25
#define | XCB_INPUT_GET_DEVICE_MODIFIER_MAPPING 26
#define | XCB_INPUT_SET_DEVICE_MODIFIER_MAPPING 27
#define | XCB_INPUT_GET_DEVICE_BUTTON_MAPPING 28
#define | XCB_INPUT_SET_DEVICE_BUTTON_MAPPING 29
#define | XCB_INPUT_QUERY_DEVICE_STATE 30
#define | XCB_INPUT_SEND_EXTENSION_EVENT 31
#define | XCB_INPUT_DEVICE_BELL 32
#define | XCB_INPUT_SET_DEVICE_VALUATORS 33
#define | XCB_INPUT_GET_DEVICE_CONTROL 34
#define | XCB_INPUT_DEVICE_VALUATOR 0
#define | XCB_INPUT_DEVICE_KEY_PRESS 1
#define | XCB_INPUT_DEVICE_KEY_RELEASE 2
#define | XCB_INPUT_DEVICE_BUTTON_PRESS 3
#define | XCB_INPUT_DEVICE_BUTTON_RELEASE 4
#define | XCB_INPUT_DEVICE_MOTION_NOTIFY 5
#define | XCB_INPUT_PROXIMITY_IN 8
#define | XCB_INPUT_PROXIMITY_OUT 9
#define | XCB_INPUT_FOCUS_IN 6
#define | XCB_INPUT_FOCUS_OUT 7
#define | XCB_INPUT_DEVICE_STATE_NOTIFY 10
#define | XCB_INPUT_DEVICE_MAPPING_NOTIFY 11
#define | XCB_INPUT_CHANGE_DEVICE_NOTIFY 12
#define | XCB_INPUT_DEVICE_KEY_STATE_NOTIFY 13
#define | XCB_INPUT_DEVICE_BUTTON_STATE_NOTIFY 14
#define | XCB_INPUT_DEVICE_PRESENCE_NOTIFY 15
#define | XCB_INPUT_DEVICE 0
#define | XCB_INPUT_EVENT 1
#define | XCB_INPUT_MODE 2
#define | XCB_INPUT_DEVICE_BUSY 3
#define | XCB_INPUT_CLASS 4
## Typedefs
typedef uint8_t | xcb_input_key_code_t
typedef uint32_t | xcb_input_event_class_t
typedef xcb_input_device_key_press_event_t | xcb_input_device_key_release_event_t
typedef xcb_input_device_key_press_event_t | xcb_input_device_button_press_event_t
typedef xcb_input_device_key_press_event_t | xcb_input_device_button_release_event_t
typedef xcb_input_device_key_press_event_t | xcb_input_device_motion_notify_event_t
typedef xcb_input_device_key_press_event_t | xcb_input_proximity_in_event_t
typedef xcb_input_device_key_press_event_t | xcb_input_proximity_out_event_t
typedef xcb_input_focus_in_event_t | xcb_input_focus_out_event_t
## Enumerations
enum | xcb_input_valuator_mode_t { XCB_INPUT_VALUATOR_MODE_RELATIVE = 0, XCB_INPUT_VALUATOR_MODE_ABSOLUTE = 1 }
enum | xcb_input_propagate_mode_t { XCB_INPUT_PROPAGATE_MODE_ADD_TO_LIST = 0, XCB_INPUT_PROPAGATE_MODE_DELETE_FROM_LIST = 1 }
enum | xcb_input_device_use_t { XCB_INPUT_DEVICE_USE_IS_X_POINTER = 0, XCB_INPUT_DEVICE_USE_IS_X_KEYBOARD = 1, XCB_INPUT_DEVICE_USE_IS_X_EXTENSION_DEVICE = 2, XCB_INPUT_DEVICE_USE_IS_X_EXTENSION_KEYBOARD = 3, XCB_INPUT_DEVICE_USE_IS_X_EXTENSION_POINTER = 4 }
enum | xcb_input_input_class_t { XCB_INPUT_INPUT_CLASS_KEY = 0, XCB_INPUT_INPUT_CLASS_BUTTON = 1, XCB_INPUT_INPUT_CLASS_VALUATOR = 2, XCB_INPUT_INPUT_CLASS_FEEDBACK = 3, XCB_INPUT_INPUT_CLASS_PROXIMITY = 4, XCB_INPUT_INPUT_CLASS_FOCUS = 5, XCB_INPUT_INPUT_CLASS_OTHER = 6 }
enum | xcb_input_device_input_mode_t { XCB_INPUT_DEVICE_INPUT_MODE_ASYNC_THIS_DEVICE, XCB_INPUT_DEVICE_INPUT_MODE_SYNC_THIS_DEVICE, XCB_INPUT_DEVICE_INPUT_MODE_REPLAY_THIS_DEVICE, XCB_INPUT_DEVICE_INPUT_MODE_ASYNC_OTHER_DEVICES, XCB_INPUT_DEVICE_INPUT_MODE_ASYNC_ALL, XCB_INPUT_DEVICE_INPUT_MODE_SYNC_ALL }
enum | xcb_input_feedback_class_t { XCB_INPUT_FEEDBACK_CLASS_KEYBOARD, XCB_INPUT_FEEDBACK_CLASS_POINTER, XCB_INPUT_FEEDBACK_CLASS_STRING, XCB_INPUT_FEEDBACK_CLASS_INTEGER, XCB_INPUT_FEEDBACK_CLASS_LED, XCB_INPUT_FEEDBACK_CLASS_BELL }
## Functions
void | xcb_input_key_code_next (xcb_input_key_code_iterator_t *i)
xcb_generic_iterator_t | xcb_input_key_code_end (xcb_input_key_code_iterator_t i)
void | xcb_input_event_class_next (xcb_input_event_class_iterator_t *i)
xcb_generic_iterator_t | xcb_input_event_class_end (xcb_input_event_class_iterator_t i)
xcb_input_get_extension_version_cookie_t | xcb_input_get_extension_version (xcb_connection_t *c, uint16_t name_len, const char *name)
xcb_input_get_extension_version_cookie_t | xcb_input_get_extension_version_unchecked (xcb_connection_t *c, uint16_t name_len, const char *name)
xcb_input_get_extension_version_reply_t * | xcb_input_get_extension_version_reply (xcb_connection_t *c, xcb_input_get_extension_version_cookie_t cookie, xcb_generic_error_t **e)
void | xcb_input_device_info_next (xcb_input_device_info_iterator_t *i)
xcb_generic_iterator_t | xcb_input_device_info_end (xcb_input_device_info_iterator_t i)
xcb_input_list_input_devices_cookie_t | xcb_input_list_input_devices (xcb_connection_t *c)
xcb_input_list_input_devices_cookie_t | xcb_input_list_input_devices_unchecked (xcb_connection_t *c)
xcb_input_device_info_t * | xcb_input_list_input_devices_devices (const xcb_input_list_input_devices_reply_t *R)
int | xcb_input_list_input_devices_devices_length (const xcb_input_list_input_devices_reply_t *R)
xcb_input_device_info_iterator_t | xcb_input_list_input_devices_devices_iterator (const xcb_input_list_input_devices_reply_t *R)
xcb_input_list_input_devices_reply_t * | xcb_input_list_input_devices_reply (xcb_connection_t *c, xcb_input_list_input_devices_cookie_t cookie, xcb_generic_error_t **e)
void | xcb_input_input_info_next (xcb_input_input_info_iterator_t *i)
xcb_generic_iterator_t | xcb_input_input_info_end (xcb_input_input_info_iterator_t i)
void | xcb_input_key_info_next (xcb_input_key_info_iterator_t *i)
xcb_generic_iterator_t | xcb_input_key_info_end (xcb_input_key_info_iterator_t i)
void | xcb_input_button_info_next (xcb_input_button_info_iterator_t *i)
xcb_generic_iterator_t | xcb_input_button_info_end (xcb_input_button_info_iterator_t i)
void | xcb_input_axis_info_next (xcb_input_axis_info_iterator_t *i)
xcb_generic_iterator_t | xcb_input_axis_info_end (xcb_input_axis_info_iterator_t i)
xcb_input_axis_info_t * | xcb_input_valuator_info_axes (const xcb_input_valuator_info_t *R)
int | xcb_input_valuator_info_axes_length (const xcb_input_valuator_info_t *R)
xcb_input_axis_info_iterator_t | xcb_input_valuator_info_axes_iterator (const xcb_input_valuator_info_t *R)
void | xcb_input_valuator_info_next (xcb_input_valuator_info_iterator_t *i)
xcb_generic_iterator_t | xcb_input_valuator_info_end (xcb_input_valuator_info_iterator_t i)
void | xcb_input_input_class_info_next (xcb_input_input_class_info_iterator_t *i)
xcb_generic_iterator_t | xcb_input_input_class_info_end (xcb_input_input_class_info_iterator_t i)
xcb_input_open_device_cookie_t | xcb_input_open_device (xcb_connection_t *c, uint8_t device_id)
xcb_input_open_device_cookie_t | xcb_input_open_device_unchecked (xcb_connection_t *c, uint8_t device_id)
xcb_input_input_class_info_t * | xcb_input_open_device_class_info (const xcb_input_open_device_reply_t *R)
int | xcb_input_open_device_class_info_length (const xcb_input_open_device_reply_t *R)
xcb_input_input_class_info_iterator_t | xcb_input_open_device_class_info_iterator (const xcb_input_open_device_reply_t *R)
xcb_input_open_device_reply_t * | xcb_input_open_device_reply (xcb_connection_t *c, xcb_input_open_device_cookie_t cookie, xcb_generic_error_t **e)
xcb_void_cookie_t | xcb_input_close_device_checked (xcb_connection_t *c, uint8_t device_id)
xcb_void_cookie_t | xcb_input_close_device (xcb_connection_t *c, uint8_t device_id)
xcb_input_set_device_mode_cookie_t | xcb_input_set_device_mode (xcb_connection_t *c, uint8_t device_id, uint8_t mode)
xcb_input_set_device_mode_cookie_t | xcb_input_set_device_mode_unchecked (xcb_connection_t *c, uint8_t device_id, uint8_t mode)
xcb_input_set_device_mode_reply_t * | xcb_input_set_device_mode_reply (xcb_connection_t *c, xcb_input_set_device_mode_cookie_t cookie, xcb_generic_error_t **e)
xcb_void_cookie_t | xcb_input_select_extension_event_checked (xcb_connection_t *c, xcb_window_t window, uint16_t num_classes, const xcb_input_event_class_t *classes)
xcb_void_cookie_t | xcb_input_select_extension_event (xcb_connection_t *c, xcb_window_t window, uint16_t num_classes, const xcb_input_event_class_t *classes)
xcb_input_get_selected_extension_events_cookie_t | xcb_input_get_selected_extension_events (xcb_connection_t *c, xcb_window_t window)
xcb_input_get_selected_extension_events_cookie_t | xcb_input_get_selected_extension_events_unchecked (xcb_connection_t *c, xcb_window_t window)
xcb_input_event_class_t * | xcb_input_get_selected_extension_events_this_classes (const xcb_input_get_selected_extension_events_reply_t *R)
int | xcb_input_get_selected_extension_events_this_classes_length (const xcb_input_get_selected_extension_events_reply_t *R)
xcb_generic_iterator_t | xcb_input_get_selected_extension_events_this_classes_end (const xcb_input_get_selected_extension_events_reply_t *R)
xcb_input_event_class_t * | xcb_input_get_selected_extension_events_all_classes (const xcb_input_get_selected_extension_events_reply_t *R)
int | xcb_input_get_selected_extension_events_all_classes_length (const xcb_input_get_selected_extension_events_reply_t *R)
xcb_generic_iterator_t | xcb_input_get_selected_extension_events_all_classes_end (const xcb_input_get_selected_extension_events_reply_t *R)
xcb_input_get_selected_extension_events_reply_t * | xcb_input_get_selected_extension_events_reply (xcb_connection_t *c, xcb_input_get_selected_extension_events_cookie_t cookie, xcb_generic_error_t **e)
xcb_void_cookie_t | xcb_input_change_device_dont_propagate_list_checked (xcb_connection_t *c, xcb_window_t window, uint16_t num_classes, uint8_t mode, const xcb_input_event_class_t *classes)
xcb_void_cookie_t | xcb_input_change_device_dont_propagate_list (xcb_connection_t *c, xcb_window_t window, uint16_t num_classes, uint8_t mode, const xcb_input_event_class_t *classes)
xcb_input_get_device_dont_propagate_list_cookie_t | xcb_input_get_device_dont_propagate_list (xcb_connection_t *c, xcb_window_t window)
xcb_input_get_device_dont_propagate_list_cookie_t | xcb_input_get_device_dont_propagate_list_unchecked (xcb_connection_t *c, xcb_window_t window)
xcb_input_event_class_t * | xcb_input_get_device_dont_propagate_list_classes (const xcb_input_get_device_dont_propagate_list_reply_t *R)
int | xcb_input_get_device_dont_propagate_list_classes_length (const xcb_input_get_device_dont_propagate_list_reply_t *R)
xcb_generic_iterator_t | xcb_input_get_device_dont_propagate_list_classes_end (const xcb_input_get_device_dont_propagate_list_reply_t *R)
xcb_input_get_device_dont_propagate_list_reply_t * | xcb_input_get_device_dont_propagate_list_reply (xcb_connection_t *c, xcb_input_get_device_dont_propagate_list_cookie_t cookie, xcb_generic_error_t **e)
xcb_input_get_device_motion_events_cookie_t | xcb_input_get_device_motion_events (xcb_connection_t *c, xcb_timestamp_t start, xcb_timestamp_t stop, uint8_t device_id)
xcb_input_get_device_motion_events_cookie_t | xcb_input_get_device_motion_events_unchecked (xcb_connection_t *c, xcb_timestamp_t start, xcb_timestamp_t stop, uint8_t device_id)
xcb_input_get_device_motion_events_reply_t * | xcb_input_get_device_motion_events_reply (xcb_connection_t *c, xcb_input_get_device_motion_events_cookie_t cookie, xcb_generic_error_t **e)
void | xcb_input_device_time_coord_next (xcb_input_device_time_coord_iterator_t *i)
xcb_generic_iterator_t | xcb_input_device_time_coord_end (xcb_input_device_time_coord_iterator_t i)
xcb_input_change_keyboard_device_cookie_t | xcb_input_change_keyboard_device (xcb_connection_t *c, uint8_t device_id)
xcb_input_change_keyboard_device_cookie_t | xcb_input_change_keyboard_device_unchecked (xcb_connection_t *c, uint8_t device_id)
xcb_input_change_keyboard_device_reply_t * | xcb_input_change_keyboard_device_reply (xcb_connection_t *c, xcb_input_change_keyboard_device_cookie_t cookie, xcb_generic_error_t **e)
xcb_input_change_pointer_device_cookie_t | xcb_input_change_pointer_device (xcb_connection_t *c, uint8_t x_axis, uint8_t y_axis, uint8_t device_id)
xcb_input_change_pointer_device_cookie_t | xcb_input_change_pointer_device_unchecked (xcb_connection_t *c, uint8_t x_axis, uint8_t y_axis, uint8_t device_id)
xcb_input_change_pointer_device_reply_t * | xcb_input_change_pointer_device_reply (xcb_connection_t *c, xcb_input_change_pointer_device_cookie_t cookie, xcb_generic_error_t **e)
xcb_input_grab_device_cookie_t | xcb_input_grab_device (xcb_connection_t *c, xcb_window_t grab_window, xcb_timestamp_t time, uint16_t num_classes, uint8_t this_device_mode, uint8_t other_device_mode, uint8_t owner_events, uint8_t device_id, const xcb_input_event_class_t *classes)
xcb_input_grab_device_cookie_t | xcb_input_grab_device_unchecked (xcb_connection_t *c, xcb_window_t grab_window, xcb_timestamp_t time, uint16_t num_classes, uint8_t this_device_mode, uint8_t other_device_mode, uint8_t owner_events, uint8_t device_id, const xcb_input_event_class_t *classes)
xcb_input_grab_device_reply_t * | xcb_input_grab_device_reply (xcb_connection_t *c, xcb_input_grab_device_cookie_t cookie, xcb_generic_error_t **e)
xcb_void_cookie_t | xcb_input_ungrab_device_checked (xcb_connection_t *c, xcb_timestamp_t time, uint8_t device_id)
xcb_void_cookie_t | xcb_input_ungrab_device (xcb_connection_t *c, xcb_timestamp_t time, uint8_t device_id)
xcb_void_cookie_t | xcb_input_grab_device_key_checked (xcb_connection_t *c, xcb_window_t grab_window, uint16_t num_classes, uint16_t modifiers, uint8_t modifier_device, uint8_t grabbed_device, uint8_t key, uint8_t this_device_mode, uint8_t other_device_mode, uint8_t owner_events, const xcb_input_event_class_t *classes)
xcb_void_cookie_t | xcb_input_grab_device_key (xcb_connection_t *c, xcb_window_t grab_window, uint16_t num_classes, uint16_t modifiers, uint8_t modifier_device, uint8_t grabbed_device, uint8_t key, uint8_t this_device_mode, uint8_t other_device_mode, uint8_t owner_events, const xcb_input_event_class_t *classes)
xcb_void_cookie_t | xcb_input_ungrab_device_key_checked (xcb_connection_t *c, xcb_window_t grabWindow, uint16_t modifiers, uint8_t modifier_device, uint8_t key, uint8_t grabbed_device)
xcb_void_cookie_t | xcb_input_ungrab_device_key (xcb_connection_t *c, xcb_window_t grabWindow, uint16_t modifiers, uint8_t modifier_device, uint8_t key, uint8_t grabbed_device)
xcb_void_cookie_t | xcb_input_grab_device_button_checked (xcb_connection_t *c, xcb_window_t grab_window, uint8_t grabbed_device, uint8_t modifier_device, uint16_t num_classes, uint16_t modifiers, uint8_t this_device_mode, uint8_t other_device_mode, uint8_t button, uint8_t owner_events, const xcb_input_event_class_t *classes)
xcb_void_cookie_t | xcb_input_grab_device_button (xcb_connection_t *c, xcb_window_t grab_window, uint8_t grabbed_device, uint8_t modifier_device, uint16_t num_classes, uint16_t modifiers, uint8_t this_device_mode, uint8_t other_device_mode, uint8_t button, uint8_t owner_events, const xcb_input_event_class_t *classes)
xcb_void_cookie_t | xcb_input_ungrab_device_button_checked (xcb_connection_t *c, xcb_window_t grab_window, uint16_t modifiers, uint8_t modifier_device, uint8_t button, uint8_t grabbed_device)
xcb_void_cookie_t | xcb_input_ungrab_device_button (xcb_connection_t *c, xcb_window_t grab_window, uint16_t modifiers, uint8_t modifier_device, uint8_t button, uint8_t grabbed_device)
xcb_void_cookie_t | xcb_input_allow_device_events_checked (xcb_connection_t *c, xcb_timestamp_t time, uint8_t mode, uint8_t device_id)
xcb_void_cookie_t | xcb_input_allow_device_events (xcb_connection_t *c, xcb_timestamp_t time, uint8_t mode, uint8_t device_id)
xcb_input_get_device_focus_cookie_t | xcb_input_get_device_focus (xcb_connection_t *c, uint8_t device_id)
xcb_input_get_device_focus_cookie_t | xcb_input_get_device_focus_unchecked (xcb_connection_t *c, uint8_t device_id)
xcb_input_get_device_focus_reply_t * | xcb_input_get_device_focus_reply (xcb_connection_t *c, xcb_input_get_device_focus_cookie_t cookie, xcb_generic_error_t **e)
xcb_void_cookie_t | xcb_input_set_device_focus_checked (xcb_connection_t *c, xcb_window_t focus, xcb_timestamp_t time, uint8_t revert_to, uint8_t device_id)
xcb_void_cookie_t | xcb_input_set_device_focus (xcb_connection_t *c, xcb_window_t focus, xcb_timestamp_t time, uint8_t revert_to, uint8_t device_id)
xcb_input_get_feedback_control_cookie_t | xcb_input_get_feedback_control (xcb_connection_t *c, uint8_t device_id)
xcb_input_get_feedback_control_cookie_t | xcb_input_get_feedback_control_unchecked (xcb_connection_t *c, uint8_t device_id)
xcb_input_get_feedback_control_reply_t * | xcb_input_get_feedback_control_reply (xcb_connection_t *c, xcb_input_get_feedback_control_cookie_t cookie, xcb_generic_error_t **e)
void | xcb_input_feedback_state_next (xcb_input_feedback_state_iterator_t *i)
xcb_generic_iterator_t | xcb_input_feedback_state_end (xcb_input_feedback_state_iterator_t i)
void | xcb_input_kbd_feedback_state_next (xcb_input_kbd_feedback_state_iterator_t *i)
xcb_generic_iterator_t | xcb_input_kbd_feedback_state_end (xcb_input_kbd_feedback_state_iterator_t i)
void | xcb_input_ptr_feedback_state_next (xcb_input_ptr_feedback_state_iterator_t *i)
xcb_generic_iterator_t | xcb_input_ptr_feedback_state_end (xcb_input_ptr_feedback_state_iterator_t i)
void | xcb_input_integer_feedback_state_next (xcb_input_integer_feedback_state_iterator_t *i)
xcb_generic_iterator_t | xcb_input_integer_feedback_state_end (xcb_input_integer_feedback_state_iterator_t i)
xcb_keysym_t * | xcb_input_string_feedback_state_keysyms (const xcb_input_string_feedback_state_t *R)
int | xcb_input_string_feedback_state_keysyms_length (const xcb_input_string_feedback_state_t *R)
xcb_generic_iterator_t | xcb_input_string_feedback_state_keysyms_end (const xcb_input_string_feedback_state_t *R)
void | xcb_input_string_feedback_state_next (xcb_input_string_feedback_state_iterator_t *i)
xcb_generic_iterator_t | xcb_input_string_feedback_state_end (xcb_input_string_feedback_state_iterator_t i)
void | xcb_input_bell_feedback_state_next (xcb_input_bell_feedback_state_iterator_t *i)
xcb_generic_iterator_t | xcb_input_bell_feedback_state_end (xcb_input_bell_feedback_state_iterator_t i)
void | xcb_input_led_feedback_state_next (xcb_input_led_feedback_state_iterator_t *i)
xcb_generic_iterator_t | xcb_input_led_feedback_state_end (xcb_input_led_feedback_state_iterator_t i)
void | xcb_input_feedback_ctl_next (xcb_input_feedback_ctl_iterator_t *i)
xcb_generic_iterator_t | xcb_input_feedback_ctl_end (xcb_input_feedback_ctl_iterator_t i)
void | xcb_input_kbd_feedback_ctl_next (xcb_input_kbd_feedback_ctl_iterator_t *i)
xcb_generic_iterator_t | xcb_input_kbd_feedback_ctl_end (xcb_input_kbd_feedback_ctl_iterator_t i)
void | xcb_input_ptr_feedback_ctl_next (xcb_input_ptr_feedback_ctl_iterator_t *i)
xcb_generic_iterator_t | xcb_input_ptr_feedback_ctl_end (xcb_input_ptr_feedback_ctl_iterator_t i)
void | xcb_input_integer_feedback_ctl_next (xcb_input_integer_feedback_ctl_iterator_t *i)
xcb_generic_iterator_t | xcb_input_integer_feedback_ctl_end (xcb_input_integer_feedback_ctl_iterator_t i)
xcb_keysym_t * | xcb_input_string_feedback_ctl_keysyms (const xcb_input_string_feedback_ctl_t *R)
int | xcb_input_string_feedback_ctl_keysyms_length (const xcb_input_string_feedback_ctl_t *R)
xcb_generic_iterator_t | xcb_input_string_feedback_ctl_keysyms_end (const xcb_input_string_feedback_ctl_t *R)
void | xcb_input_string_feedback_ctl_next (xcb_input_string_feedback_ctl_iterator_t *i)
xcb_generic_iterator_t | xcb_input_string_feedback_ctl_end (xcb_input_string_feedback_ctl_iterator_t i)
void | xcb_input_bell_feedback_ctl_next (xcb_input_bell_feedback_ctl_iterator_t *i)
xcb_generic_iterator_t | xcb_input_bell_feedback_ctl_end (xcb_input_bell_feedback_ctl_iterator_t i)
void | xcb_input_led_feedback_ctl_next (xcb_input_led_feedback_ctl_iterator_t *i)
xcb_generic_iterator_t | xcb_input_led_feedback_ctl_end (xcb_input_led_feedback_ctl_iterator_t i)
xcb_input_get_device_key_mapping_cookie_t | xcb_input_get_device_key_mapping (xcb_connection_t *c, uint8_t device_id, xcb_input_key_code_t first_keycode, uint8_t count)
xcb_input_get_device_key_mapping_cookie_t | xcb_input_get_device_key_mapping_unchecked (xcb_connection_t *c, uint8_t device_id, xcb_input_key_code_t first_keycode, uint8_t count)
xcb_keysym_t * | xcb_input_get_device_key_mapping_keysyms (const xcb_input_get_device_key_mapping_reply_t *R)
int | xcb_input_get_device_key_mapping_keysyms_length (const xcb_input_get_device_key_mapping_reply_t *R)
xcb_generic_iterator_t | xcb_input_get_device_key_mapping_keysyms_end (const xcb_input_get_device_key_mapping_reply_t *R)
xcb_input_get_device_key_mapping_reply_t * | xcb_input_get_device_key_mapping_reply (xcb_connection_t *c, xcb_input_get_device_key_mapping_cookie_t cookie, xcb_generic_error_t **e)
xcb_void_cookie_t | xcb_input_change_device_key_mapping_checked (xcb_connection_t *c, uint8_t device_id, xcb_input_key_code_t first_keycode, uint8_t keysyms_per_keycode, uint8_t keycode_count, const xcb_keysym_t *keysyms)
xcb_void_cookie_t | xcb_input_change_device_key_mapping (xcb_connection_t *c, uint8_t device_id, xcb_input_key_code_t first_keycode, uint8_t keysyms_per_keycode, uint8_t keycode_count, const xcb_keysym_t *keysyms)
xcb_input_get_device_modifier_mapping_cookie_t | xcb_input_get_device_modifier_mapping (xcb_connection_t *c, uint8_t device_id)
xcb_input_get_device_modifier_mapping_cookie_t | xcb_input_get_device_modifier_mapping_unchecked (xcb_connection_t *c, uint8_t device_id)
uint8_t * | xcb_input_get_device_modifier_mapping_keymaps (const xcb_input_get_device_modifier_mapping_reply_t *R)
int | xcb_input_get_device_modifier_mapping_keymaps_length (const xcb_input_get_device_modifier_mapping_reply_t *R)
xcb_generic_iterator_t | xcb_input_get_device_modifier_mapping_keymaps_end (const xcb_input_get_device_modifier_mapping_reply_t *R)
xcb_input_get_device_modifier_mapping_reply_t * | xcb_input_get_device_modifier_mapping_reply (xcb_connection_t *c, xcb_input_get_device_modifier_mapping_cookie_t cookie, xcb_generic_error_t **e)
xcb_input_set_device_modifier_mapping_cookie_t | xcb_input_set_device_modifier_mapping (xcb_connection_t *c, uint8_t device_id, uint8_t keycodes_per_modifier, const uint8_t *keymaps)
xcb_input_set_device_modifier_mapping_cookie_t | xcb_input_set_device_modifier_mapping_unchecked (xcb_connection_t *c, uint8_t device_id, uint8_t keycodes_per_modifier, const uint8_t *keymaps)
xcb_input_set_device_modifier_mapping_reply_t * | xcb_input_set_device_modifier_mapping_reply (xcb_connection_t *c, xcb_input_set_device_modifier_mapping_cookie_t cookie, xcb_generic_error_t **e)
xcb_input_get_device_button_mapping_cookie_t | xcb_input_get_device_button_mapping (xcb_connection_t *c, uint8_t device_id)
xcb_input_get_device_button_mapping_cookie_t | xcb_input_get_device_button_mapping_unchecked (xcb_connection_t *c, uint8_t device_id)
uint8_t * | xcb_input_get_device_button_mapping_map (const xcb_input_get_device_button_mapping_reply_t *R)
int | xcb_input_get_device_button_mapping_map_length (const xcb_input_get_device_button_mapping_reply_t *R)
xcb_generic_iterator_t | xcb_input_get_device_button_mapping_map_end (const xcb_input_get_device_button_mapping_reply_t *R)
xcb_input_get_device_button_mapping_reply_t * | xcb_input_get_device_button_mapping_reply (xcb_connection_t *c, xcb_input_get_device_button_mapping_cookie_t cookie, xcb_generic_error_t **e)
xcb_input_set_device_button_mapping_cookie_t | xcb_input_set_device_button_mapping (xcb_connection_t *c, uint8_t device_id, uint8_t map_size, const uint8_t *map)
xcb_input_set_device_button_mapping_cookie_t | xcb_input_set_device_button_mapping_unchecked (xcb_connection_t *c, uint8_t device_id, uint8_t map_size, const uint8_t *map)
xcb_input_set_device_button_mapping_reply_t * | xcb_input_set_device_button_mapping_reply (xcb_connection_t *c, xcb_input_set_device_button_mapping_cookie_t cookie, xcb_generic_error_t **e)
xcb_input_query_device_state_cookie_t | xcb_input_query_device_state (xcb_connection_t *c, uint8_t device_id)
xcb_input_query_device_state_cookie_t | xcb_input_query_device_state_unchecked (xcb_connection_t *c, uint8_t device_id)
xcb_input_query_device_state_reply_t * | xcb_input_query_device_state_reply (xcb_connection_t *c, xcb_input_query_device_state_cookie_t cookie, xcb_generic_error_t **e)
void | xcb_input_input_state_next (xcb_input_input_state_iterator_t *i)
xcb_generic_iterator_t | xcb_input_input_state_end (xcb_input_input_state_iterator_t i)
void | xcb_input_key_state_next (xcb_input_key_state_iterator_t *i)
xcb_generic_iterator_t | xcb_input_key_state_end (xcb_input_key_state_iterator_t i)
void | xcb_input_button_state_next (xcb_input_button_state_iterator_t *i)
xcb_generic_iterator_t | xcb_input_button_state_end (xcb_input_button_state_iterator_t i)
uint32_t * | xcb_input_valuator_state_valuators (const xcb_input_valuator_state_t *R)
int | xcb_input_valuator_state_valuators_length (const xcb_input_valuator_state_t *R)
xcb_generic_iterator_t | xcb_input_valuator_state_valuators_end (const xcb_input_valuator_state_t *R)
void | xcb_input_valuator_state_next (xcb_input_valuator_state_iterator_t *i)
xcb_generic_iterator_t | xcb_input_valuator_state_end (xcb_input_valuator_state_iterator_t i)
xcb_void_cookie_t | xcb_input_send_extension_event_checked (xcb_connection_t *c, xcb_window_t destination, uint8_t device_id, uint8_t propagate, uint16_t num_classes, uint8_t num_events, const char *events, const xcb_input_event_class_t *classes)
xcb_void_cookie_t | xcb_input_send_extension_event (xcb_connection_t *c, xcb_window_t destination, uint8_t device_id, uint8_t propagate, uint16_t num_classes, uint8_t num_events, const char *events, const xcb_input_event_class_t *classes)
xcb_void_cookie_t | xcb_input_device_bell_checked (xcb_connection_t *c, uint8_t device_id, uint8_t feedback_id, uint8_t feedback_class, int8_t percent)
xcb_void_cookie_t | xcb_input_device_bell (xcb_connection_t *c, uint8_t device_id, uint8_t feedback_id, uint8_t feedback_class, int8_t percent)
xcb_input_set_device_valuators_cookie_t | xcb_input_set_device_valuators (xcb_connection_t *c, uint8_t device_id, uint8_t first_valuator, uint8_t num_valuators, const int32_t *valuators)
xcb_input_set_device_valuators_cookie_t | xcb_input_set_device_valuators_unchecked (xcb_connection_t *c, uint8_t device_id, uint8_t first_valuator, uint8_t num_valuators, const int32_t *valuators)
xcb_input_set_device_valuators_reply_t * | xcb_input_set_device_valuators_reply (xcb_connection_t *c, xcb_input_set_device_valuators_cookie_t cookie, xcb_generic_error_t **e)
xcb_input_get_device_control_cookie_t | xcb_input_get_device_control (xcb_connection_t *c, uint16_t control_id, uint8_t device_id)
xcb_input_get_device_control_cookie_t | xcb_input_get_device_control_unchecked (xcb_connection_t *c, uint16_t control_id, uint8_t device_id)
xcb_input_get_device_control_reply_t * | xcb_input_get_device_control_reply (xcb_connection_t *c, xcb_input_get_device_control_cookie_t cookie, xcb_generic_error_t **e)
void | xcb_input_device_state_next (xcb_input_device_state_iterator_t *i)
xcb_generic_iterator_t | xcb_input_device_state_end (xcb_input_device_state_iterator_t i)
uint32_t * | xcb_input_device_resolution_state_resolution_values (const xcb_input_device_resolution_state_t *R)
int | xcb_input_device_resolution_state_resolution_values_length (const xcb_input_device_resolution_state_t *R)
xcb_generic_iterator_t | xcb_input_device_resolution_state_resolution_values_end (const xcb_input_device_resolution_state_t *R)
uint32_t * | xcb_input_device_resolution_state_resolution_min (const xcb_input_device_resolution_state_t *R)
int | xcb_input_device_resolution_state_resolution_min_length (const xcb_input_device_resolution_state_t *R)
xcb_generic_iterator_t | xcb_input_device_resolution_state_resolution_min_end (const xcb_input_device_resolution_state_t *R)
uint32_t * | xcb_input_device_resolution_state_resolution_max (const xcb_input_device_resolution_state_t *R)
int | xcb_input_device_resolution_state_resolution_max_length (const xcb_input_device_resolution_state_t *R)
xcb_generic_iterator_t | xcb_input_device_resolution_state_resolution_max_end (const xcb_input_device_resolution_state_t *R)
void | xcb_input_device_resolution_state_next (xcb_input_device_resolution_state_iterator_t *i)
xcb_generic_iterator_t | xcb_input_device_resolution_state_end (xcb_input_device_resolution_state_iterator_t i)
void | xcb_input_device_abs_calib_state_next (xcb_input_device_abs_calib_state_iterator_t *i)
xcb_generic_iterator_t | xcb_input_device_abs_calib_state_end (xcb_input_device_abs_calib_state_iterator_t i)
void | xcb_input_device_abs_area_state_next (xcb_input_device_abs_area_state_iterator_t *i)
xcb_generic_iterator_t | xcb_input_device_abs_area_state_end (xcb_input_device_abs_area_state_iterator_t i)
void | xcb_input_device_core_state_next (xcb_input_device_core_state_iterator_t *i)
xcb_generic_iterator_t | xcb_input_device_core_state_end (xcb_input_device_core_state_iterator_t i)
void | xcb_input_device_enable_state_next (xcb_input_device_enable_state_iterator_t *i)
xcb_generic_iterator_t | xcb_input_device_enable_state_end (xcb_input_device_enable_state_iterator_t i)
void | xcb_input_device_ctl_next (xcb_input_device_ctl_iterator_t *i)
xcb_generic_iterator_t | xcb_input_device_ctl_end (xcb_input_device_ctl_iterator_t i)
uint32_t * | xcb_input_device_resolution_ctl_resolution_values (const xcb_input_device_resolution_ctl_t *R)
int | xcb_input_device_resolution_ctl_resolution_values_length (const xcb_input_device_resolution_ctl_t *R)
xcb_generic_iterator_t | xcb_input_device_resolution_ctl_resolution_values_end (const xcb_input_device_resolution_ctl_t *R)
void | xcb_input_device_resolution_ctl_next (xcb_input_device_resolution_ctl_iterator_t *i)
xcb_generic_iterator_t | xcb_input_device_resolution_ctl_end (xcb_input_device_resolution_ctl_iterator_t i)
void | xcb_input_device_abs_calib_ctl_next (xcb_input_device_abs_calib_ctl_iterator_t *i)
xcb_generic_iterator_t | xcb_input_device_abs_calib_ctl_end (xcb_input_device_abs_calib_ctl_iterator_t i)
void | xcb_input_device_abs_area_ctrl_next (xcb_input_device_abs_area_ctrl_iterator_t *i)
xcb_generic_iterator_t | xcb_input_device_abs_area_ctrl_end (xcb_input_device_abs_area_ctrl_iterator_t i)
void | xcb_input_device_core_ctrl_next (xcb_input_device_core_ctrl_iterator_t *i)
xcb_generic_iterator_t | xcb_input_device_core_ctrl_end (xcb_input_device_core_ctrl_iterator_t i)
void | xcb_input_device_enable_ctrl_next (xcb_input_device_enable_ctrl_iterator_t *i)
xcb_generic_iterator_t | xcb_input_device_enable_ctrl_end (xcb_input_device_enable_ctrl_iterator_t i)
## Variables
xcb_extension_t | xcb_input_id

## Detailed Description

Input XCB Protocol Implementation.

## Define Documentation

#define XCB_INPUT_ALLOW_DEVICE_EVENTS 19

Opcode for xcb_input_allow_device_events.

#define XCB_INPUT_CHANGE_DEVICE_DONT_PROPAGATE_LIST 8

Opcode for xcb_input_change_device_dont_propagate_list.

#define XCB_INPUT_CHANGE_DEVICE_KEY_MAPPING 25

Opcode for xcb_input_change_device_key_mapping.

#define XCB_INPUT_CHANGE_DEVICE_NOTIFY 12

Opcode for xcb_input_change_device_notify.

#define XCB_INPUT_CHANGE_KEYBOARD_DEVICE 11

Opcode for xcb_input_change_keyboard_device.

#define XCB_INPUT_CHANGE_POINTER_DEVICE 12

Opcode for xcb_input_change_pointer_device.

#define XCB_INPUT_CLASS 4

Opcode for xcb_input_class.

#define XCB_INPUT_CLOSE_DEVICE 4

Opcode for xcb_input_close_device.

#define XCB_INPUT_DEVICE 0

Opcode for xcb_input_device.

#define XCB_INPUT_DEVICE_BELL 32

Opcode for xcb_input_device_bell.

#define XCB_INPUT_DEVICE_BUSY 3

Opcode for xcb_input_device_busy.

#define XCB_INPUT_DEVICE_BUTTON_PRESS 3

Opcode for xcb_input_device_button_press.

#define XCB_INPUT_DEVICE_BUTTON_RELEASE 4

Opcode for xcb_input_device_button_release.

#define XCB_INPUT_DEVICE_BUTTON_STATE_NOTIFY 14

Opcode for xcb_input_device_button_state_notify.

#define XCB_INPUT_DEVICE_KEY_PRESS 1

Opcode for xcb_input_device_key_press.

#define XCB_INPUT_DEVICE_KEY_RELEASE 2

Opcode for xcb_input_device_key_release.

#define XCB_INPUT_DEVICE_KEY_STATE_NOTIFY 13

Opcode for xcb_input_device_key_state_notify.

#define XCB_INPUT_DEVICE_MAPPING_NOTIFY 11

Opcode for xcb_input_device_mapping_notify.

#define XCB_INPUT_DEVICE_MOTION_NOTIFY 5

Opcode for xcb_input_device_motion_notify.

#define XCB_INPUT_DEVICE_PRESENCE_NOTIFY 15

Opcode for xcb_input_device_presence_notify.

#define XCB_INPUT_DEVICE_STATE_NOTIFY 10

Opcode for xcb_input_device_state_notify.

#define XCB_INPUT_DEVICE_VALUATOR 0

Opcode for xcb_input_device_valuator.

#define XCB_INPUT_EVENT 1

Opcode for xcb_input_event.

#define XCB_INPUT_FOCUS_IN 6

Opcode for xcb_input_focus_in.

#define XCB_INPUT_FOCUS_OUT 7

Opcode for xcb_input_focus_out.

#define XCB_INPUT_GET_DEVICE_BUTTON_MAPPING 28

Opcode for xcb_input_get_device_button_mapping.

#define XCB_INPUT_GET_DEVICE_CONTROL 34

Opcode for xcb_input_get_device_control.

#define XCB_INPUT_GET_DEVICE_DONT_PROPAGATE_LIST 9

Opcode for xcb_input_get_device_dont_propagate_list.

#define XCB_INPUT_GET_DEVICE_FOCUS 20

Opcode for xcb_input_get_device_focus.

#define XCB_INPUT_GET_DEVICE_KEY_MAPPING 24

Opcode for xcb_input_get_device_key_mapping.

#define XCB_INPUT_GET_DEVICE_MODIFIER_MAPPING 26

Opcode for xcb_input_get_device_modifier_mapping.

#define XCB_INPUT_GET_DEVICE_MOTION_EVENTS 10

Opcode for xcb_input_get_device_motion_events.

#define XCB_INPUT_GET_EXTENSION_VERSION 1

Opcode for xcb_input_get_extension_version.

#define XCB_INPUT_GET_FEEDBACK_CONTROL 22

Opcode for xcb_input_get_feedback_control.

#define XCB_INPUT_GET_SELECTED_EXTENSION_EVENTS 7

Opcode for xcb_input_get_selected_extension_events.

#define XCB_INPUT_GRAB_DEVICE 13

Opcode for xcb_input_grab_device.

#define XCB_INPUT_GRAB_DEVICE_BUTTON 17

Opcode for xcb_input_grab_device_button.

#define XCB_INPUT_GRAB_DEVICE_KEY 15

Opcode for xcb_input_grab_device_key.

#define XCB_INPUT_LIST_INPUT_DEVICES 2

Opcode for xcb_input_list_input_devices.

#define XCB_INPUT_MODE 2

Opcode for xcb_input_mode.

#define XCB_INPUT_OPEN_DEVICE 3

Opcode for xcb_input_open_device.

#define XCB_INPUT_PROXIMITY_IN 8

Opcode for xcb_input_proximity_in.

#define XCB_INPUT_PROXIMITY_OUT 9

Opcode for xcb_input_proximity_out.

#define XCB_INPUT_QUERY_DEVICE_STATE 30

Opcode for xcb_input_query_device_state.

#define XCB_INPUT_SELECT_EXTENSION_EVENT 6

Opcode for xcb_input_select_extension_event.

#define XCB_INPUT_SEND_EXTENSION_EVENT 31

Opcode for xcb_input_send_extension_event.

#define XCB_INPUT_SET_DEVICE_BUTTON_MAPPING 29

Opcode for xcb_input_set_device_button_mapping.

#define XCB_INPUT_SET_DEVICE_FOCUS 21

Opcode for xcb_input_set_device_focus.

#define XCB_INPUT_SET_DEVICE_MODE 5

Opcode for xcb_input_set_device_mode.

#define XCB_INPUT_SET_DEVICE_MODIFIER_MAPPING 27

Opcode for xcb_input_set_device_modifier_mapping.

#define XCB_INPUT_SET_DEVICE_VALUATORS 33

Opcode for xcb_input_set_device_valuators.

#define XCB_INPUT_UNGRAB_DEVICE 14

Opcode for xcb_input_ungrab_device.

#define XCB_INPUT_UNGRAB_DEVICE_BUTTON 18

Opcode for xcb_input_ungrab_device_button.

#define XCB_INPUT_UNGRAB_DEVICE_KEY 16

Opcode for xcb_input_ungrab_device_key.

## Function Documentation

xcb_void_cookie_t xcb_input_allow_device_events | ( | xcb_connection_t * | c,
|  | xcb_timestamp_t | time,
|  | uint8_t | mode,
|  | uint8_t | device_id |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_input_allow_device_events_checked | ( | xcb_connection_t * | c,
|  | xcb_timestamp_t | time,
|  | uint8_t | mode,
|  | uint8_t | device_id |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_generic_iterator_t xcb_input_axis_info_end | ( | xcb_input_axis_info_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters:

  | i | An xcb_input_axis_info_iterator_t

Returns:
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

void xcb_input_axis_info_next | ( | xcb_input_axis_info_iterator_t * | i | ) |

Get the next element of the iterator

Parameters:

  | i | Pointer to a xcb_input_axis_info_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_input_axis_info_t)

xcb_generic_iterator_t xcb_input_bell_feedback_ctl_end | ( | xcb_input_bell_feedback_ctl_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters:

  | i | An xcb_input_bell_feedback_ctl_iterator_t

Returns:
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

void xcb_input_bell_feedback_ctl_next | ( | xcb_input_bell_feedback_ctl_iterator_t * | i | ) |

Get the next element of the iterator

Parameters:

  | i | Pointer to a xcb_input_bell_feedback_ctl_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_input_bell_feedback_ctl_t)

xcb_generic_iterator_t xcb_input_bell_feedback_state_end | ( | xcb_input_bell_feedback_state_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters:

  | i | An xcb_input_bell_feedback_state_iterator_t

Returns:
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

void xcb_input_bell_feedback_state_next | ( | xcb_input_bell_feedback_state_iterator_t * | i | ) |

Get the next element of the iterator

Parameters:

  | i | Pointer to a xcb_input_bell_feedback_state_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_input_bell_feedback_state_t)

xcb_generic_iterator_t xcb_input_button_info_end | ( | xcb_input_button_info_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters:

  | i | An xcb_input_button_info_iterator_t

Returns:
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

void xcb_input_button_info_next | ( | xcb_input_button_info_iterator_t * | i | ) |

Get the next element of the iterator

Parameters:

  | i | Pointer to a xcb_input_button_info_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_input_button_info_t)

xcb_generic_iterator_t xcb_input_button_state_end | ( | xcb_input_button_state_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters:

  | i | An xcb_input_button_state_iterator_t

Returns:
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

void xcb_input_button_state_next | ( | xcb_input_button_state_iterator_t * | i | ) |

Get the next element of the iterator

Parameters:

  | i | Pointer to a xcb_input_button_state_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_input_button_state_t)

xcb_void_cookie_t xcb_input_change_device_dont_propagate_list | ( | xcb_connection_t * | c,
|  | xcb_window_t | window,
|  | uint16_t | num_classes,
|  | uint8_t | mode,
|  | const xcb_input_event_class_t * | classes |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_input_change_device_dont_propagate_list_checked | ( | xcb_connection_t * | c,
|  | xcb_window_t | window,
|  | uint16_t | num_classes,
|  | uint8_t | mode,
|  | const xcb_input_event_class_t * | classes |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_void_cookie_t xcb_input_change_device_key_mapping | ( | xcb_connection_t * | c,
|  | uint8_t | device_id,
|  | xcb_input_key_code_t | first_keycode,
|  | uint8_t | keysyms_per_keycode,
|  | uint8_t | keycode_count,
|  | const xcb_keysym_t * | keysyms |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_input_change_device_key_mapping_checked | ( | xcb_connection_t * | c,
|  | uint8_t | device_id,
|  | xcb_input_key_code_t | first_keycode,
|  | uint8_t | keysyms_per_keycode,
|  | uint8_t | keycode_count,
|  | const xcb_keysym_t * | keysyms |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_input_change_keyboard_device_cookie_t xcb_input_change_keyboard_device | ( | xcb_connection_t * | c,
|  | uint8_t | device_id |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_input_change_keyboard_device_reply_t* xcb_input_change_keyboard_device_reply | ( | xcb_connection_t * | c,
|  | xcb_input_change_keyboard_device_cookie_t | cookie,
|  | xcb_generic_error_t ** | e |
| ) |  |  |

Return the reply

Parameters:

  | c | The connection
  | cookie | The cookie
  | e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_input_change_keyboard_device_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

xcb_input_change_keyboard_device_cookie_t xcb_input_change_keyboard_device_unchecked | ( | xcb_connection_t * | c,
|  | uint8_t | device_id |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

xcb_input_change_pointer_device_cookie_t xcb_input_change_pointer_device | ( | xcb_connection_t * | c,
|  | uint8_t | x_axis,
|  | uint8_t | y_axis,
|  | uint8_t | device_id |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_input_change_pointer_device_reply_t* xcb_input_change_pointer_device_reply | ( | xcb_connection_t * | c,
|  | xcb_input_change_pointer_device_cookie_t | cookie,
|  | xcb_generic_error_t ** | e |
| ) |  |  |

Return the reply

Parameters:

  | c | The connection
  | cookie | The cookie
  | e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_input_change_pointer_device_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

xcb_input_change_pointer_device_cookie_t xcb_input_change_pointer_device_unchecked | ( | xcb_connection_t * | c,
|  | uint8_t | x_axis,
|  | uint8_t | y_axis,
|  | uint8_t | device_id |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

xcb_void_cookie_t xcb_input_close_device | ( | xcb_connection_t * | c,
|  | uint8_t | device_id |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_input_close_device_checked | ( | xcb_connection_t * | c,
|  | uint8_t | device_id |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_generic_iterator_t xcb_input_device_abs_area_ctrl_end | ( | xcb_input_device_abs_area_ctrl_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters:

  | i | An xcb_input_device_abs_area_ctrl_iterator_t

Returns:
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

void xcb_input_device_abs_area_ctrl_next | ( | xcb_input_device_abs_area_ctrl_iterator_t * | i | ) |

Get the next element of the iterator

Parameters:

  | i | Pointer to a xcb_input_device_abs_area_ctrl_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_input_device_abs_area_ctrl_t)

xcb_generic_iterator_t xcb_input_device_abs_area_state_end | ( | xcb_input_device_abs_area_state_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters:

  | i | An xcb_input_device_abs_area_state_iterator_t

Returns:
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

void xcb_input_device_abs_area_state_next | ( | xcb_input_device_abs_area_state_iterator_t * | i | ) |

Get the next element of the iterator

Parameters:

  | i | Pointer to a xcb_input_device_abs_area_state_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_input_device_abs_area_state_t)

xcb_generic_iterator_t xcb_input_device_abs_calib_ctl_end | ( | xcb_input_device_abs_calib_ctl_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters:

  | i | An xcb_input_device_abs_calib_ctl_iterator_t

Returns:
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

void xcb_input_device_abs_calib_ctl_next | ( | xcb_input_device_abs_calib_ctl_iterator_t * | i | ) |

Get the next element of the iterator

Parameters:

  | i | Pointer to a xcb_input_device_abs_calib_ctl_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_input_device_abs_calib_ctl_t)

xcb_generic_iterator_t xcb_input_device_abs_calib_state_end | ( | xcb_input_device_abs_calib_state_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters:

  | i | An xcb_input_device_abs_calib_state_iterator_t

Returns:
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

void xcb_input_device_abs_calib_state_next | ( | xcb_input_device_abs_calib_state_iterator_t * | i | ) |

Get the next element of the iterator

Parameters:

  | i | Pointer to a xcb_input_device_abs_calib_state_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_input_device_abs_calib_state_t)

xcb_void_cookie_t xcb_input_device_bell | ( | xcb_connection_t * | c,
|  | uint8_t | device_id,
|  | uint8_t | feedback_id,
|  | uint8_t | feedback_class,
|  | int8_t | percent |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_input_device_bell_checked | ( | xcb_connection_t * | c,
|  | uint8_t | device_id,
|  | uint8_t | feedback_id,
|  | uint8_t | feedback_class,
|  | int8_t | percent |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_generic_iterator_t xcb_input_device_core_ctrl_end | ( | xcb_input_device_core_ctrl_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters:

  | i | An xcb_input_device_core_ctrl_iterator_t

Returns:
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

void xcb_input_device_core_ctrl_next | ( | xcb_input_device_core_ctrl_iterator_t * | i | ) |

Get the next element of the iterator

Parameters:

  | i | Pointer to a xcb_input_device_core_ctrl_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_input_device_core_ctrl_t)

xcb_generic_iterator_t xcb_input_device_core_state_end | ( | xcb_input_device_core_state_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters:

  | i | An xcb_input_device_core_state_iterator_t

Returns:
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

void xcb_input_device_core_state_next | ( | xcb_input_device_core_state_iterator_t * | i | ) |

Get the next element of the iterator

Parameters:

  | i | Pointer to a xcb_input_device_core_state_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_input_device_core_state_t)

xcb_generic_iterator_t xcb_input_device_ctl_end | ( | xcb_input_device_ctl_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters:

  | i | An xcb_input_device_ctl_iterator_t

Returns:
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

void xcb_input_device_ctl_next | ( | xcb_input_device_ctl_iterator_t * | i | ) |

Get the next element of the iterator

Parameters:

  | i | Pointer to a xcb_input_device_ctl_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_input_device_ctl_t)

xcb_generic_iterator_t xcb_input_device_enable_ctrl_end | ( | xcb_input_device_enable_ctrl_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters:

  | i | An xcb_input_device_enable_ctrl_iterator_t

Returns:
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

void xcb_input_device_enable_ctrl_next | ( | xcb_input_device_enable_ctrl_iterator_t * | i | ) |

Get the next element of the iterator

Parameters:

  | i | Pointer to a xcb_input_device_enable_ctrl_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_input_device_enable_ctrl_t)

xcb_generic_iterator_t xcb_input_device_enable_state_end | ( | xcb_input_device_enable_state_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters:

  | i | An xcb_input_device_enable_state_iterator_t

Returns:
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

void xcb_input_device_enable_state_next | ( | xcb_input_device_enable_state_iterator_t * | i | ) |

Get the next element of the iterator

Parameters:

  | i | Pointer to a xcb_input_device_enable_state_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_input_device_enable_state_t)

xcb_generic_iterator_t xcb_input_device_info_end | ( | xcb_input_device_info_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters:

  | i | An xcb_input_device_info_iterator_t

Returns:
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

void xcb_input_device_info_next | ( | xcb_input_device_info_iterator_t * | i | ) |

Get the next element of the iterator

Parameters:

  | i | Pointer to a xcb_input_device_info_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_input_device_info_t)

xcb_generic_iterator_t xcb_input_device_resolution_ctl_end | ( | xcb_input_device_resolution_ctl_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters:

  | i | An xcb_input_device_resolution_ctl_iterator_t

Returns:
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

void xcb_input_device_resolution_ctl_next | ( | xcb_input_device_resolution_ctl_iterator_t * | i | ) |

Get the next element of the iterator

Parameters:

  | i | Pointer to a xcb_input_device_resolution_ctl_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_input_device_resolution_ctl_t)

xcb_generic_iterator_t xcb_input_device_resolution_state_end | ( | xcb_input_device_resolution_state_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters:

  | i | An xcb_input_device_resolution_state_iterator_t

Returns:
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

void xcb_input_device_resolution_state_next | ( | xcb_input_device_resolution_state_iterator_t * | i | ) |

Get the next element of the iterator

Parameters:

  | i | Pointer to a xcb_input_device_resolution_state_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_input_device_resolution_state_t)

xcb_generic_iterator_t xcb_input_device_state_end | ( | xcb_input_device_state_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters:

  | i | An xcb_input_device_state_iterator_t

Returns:
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

void xcb_input_device_state_next | ( | xcb_input_device_state_iterator_t * | i | ) |

Get the next element of the iterator

Parameters:

  | i | Pointer to a xcb_input_device_state_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_input_device_state_t)

xcb_generic_iterator_t xcb_input_device_time_coord_end | ( | xcb_input_device_time_coord_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters:

  | i | An xcb_input_device_time_coord_iterator_t

Returns:
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

void xcb_input_device_time_coord_next | ( | xcb_input_device_time_coord_iterator_t * | i | ) |

Get the next element of the iterator

Parameters:

  | i | Pointer to a xcb_input_device_time_coord_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_input_device_time_coord_t)

xcb_generic_iterator_t xcb_input_event_class_end | ( | xcb_input_event_class_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters:

  | i | An xcb_input_event_class_iterator_t

Returns:
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

void xcb_input_event_class_next | ( | xcb_input_event_class_iterator_t * | i | ) |

Get the next element of the iterator

Parameters:

  | i | Pointer to a xcb_input_event_class_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_input_event_class_t)

xcb_generic_iterator_t xcb_input_feedback_ctl_end | ( | xcb_input_feedback_ctl_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters:

  | i | An xcb_input_feedback_ctl_iterator_t

Returns:
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

void xcb_input_feedback_ctl_next | ( | xcb_input_feedback_ctl_iterator_t * | i | ) |

Get the next element of the iterator

Parameters:

  | i | Pointer to a xcb_input_feedback_ctl_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_input_feedback_ctl_t)

xcb_generic_iterator_t xcb_input_feedback_state_end | ( | xcb_input_feedback_state_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters:

  | i | An xcb_input_feedback_state_iterator_t

Returns:
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

void xcb_input_feedback_state_next | ( | xcb_input_feedback_state_iterator_t * | i | ) |

Get the next element of the iterator

Parameters:

  | i | Pointer to a xcb_input_feedback_state_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_input_feedback_state_t)

xcb_input_get_device_button_mapping_cookie_t xcb_input_get_device_button_mapping | ( | xcb_connection_t * | c,
|  | uint8_t | device_id |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_input_get_device_button_mapping_reply_t* xcb_input_get_device_button_mapping_reply | ( | xcb_connection_t * | c,
|  | xcb_input_get_device_button_mapping_cookie_t | cookie,
|  | xcb_generic_error_t ** | e |
| ) |  |  |

Return the reply

Parameters:

  | c | The connection
  | cookie | The cookie
  | e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_input_get_device_button_mapping_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

xcb_input_get_device_button_mapping_cookie_t xcb_input_get_device_button_mapping_unchecked | ( | xcb_connection_t * | c,
|  | uint8_t | device_id |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

xcb_input_get_device_control_cookie_t xcb_input_get_device_control | ( | xcb_connection_t * | c,
|  | uint16_t | control_id,
|  | uint8_t | device_id |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_input_get_device_control_reply_t* xcb_input_get_device_control_reply | ( | xcb_connection_t * | c,
|  | xcb_input_get_device_control_cookie_t | cookie,
|  | xcb_generic_error_t ** | e |
| ) |  |  |

Return the reply

Parameters:

  | c | The connection
  | cookie | The cookie
  | e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_input_get_device_control_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

xcb_input_get_device_control_cookie_t xcb_input_get_device_control_unchecked | ( | xcb_connection_t * | c,
|  | uint16_t | control_id,
|  | uint8_t | device_id |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

xcb_input_get_device_dont_propagate_list_cookie_t xcb_input_get_device_dont_propagate_list | ( | xcb_connection_t * | c,
|  | xcb_window_t | window |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_input_get_device_dont_propagate_list_reply_t* xcb_input_get_device_dont_propagate_list_reply | ( | xcb_connection_t * | c,
|  | xcb_input_get_device_dont_propagate_list_cookie_t | cookie,
|  | xcb_generic_error_t ** | e |
| ) |  |  |

Return the reply

Parameters:

  | c | The connection
  | cookie | The cookie
  | e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_input_get_device_dont_propagate_list_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

xcb_input_get_device_dont_propagate_list_cookie_t xcb_input_get_device_dont_propagate_list_unchecked | ( | xcb_connection_t * | c,
|  | xcb_window_t | window |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

xcb_input_get_device_focus_cookie_t xcb_input_get_device_focus | ( | xcb_connection_t * | c,
|  | uint8_t | device_id |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_input_get_device_focus_reply_t* xcb_input_get_device_focus_reply | ( | xcb_connection_t * | c,
|  | xcb_input_get_device_focus_cookie_t | cookie,
|  | xcb_generic_error_t ** | e |
| ) |  |  |

Return the reply

Parameters:

  | c | The connection
  | cookie | The cookie
  | e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_input_get_device_focus_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

xcb_input_get_device_focus_cookie_t xcb_input_get_device_focus_unchecked | ( | xcb_connection_t * | c,
|  | uint8_t | device_id |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

xcb_input_get_device_key_mapping_cookie_t xcb_input_get_device_key_mapping | ( | xcb_connection_t * | c,
|  | uint8_t | device_id,
|  | xcb_input_key_code_t | first_keycode,
|  | uint8_t | count |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_input_get_device_key_mapping_reply_t* xcb_input_get_device_key_mapping_reply | ( | xcb_connection_t * | c,
|  | xcb_input_get_device_key_mapping_cookie_t | cookie,
|  | xcb_generic_error_t ** | e |
| ) |  |  |

Return the reply

Parameters:

  | c | The connection
  | cookie | The cookie
  | e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_input_get_device_key_mapping_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

xcb_input_get_device_key_mapping_cookie_t xcb_input_get_device_key_mapping_unchecked | ( | xcb_connection_t * | c,
|  | uint8_t | device_id,
|  | xcb_input_key_code_t | first_keycode,
|  | uint8_t | count |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

xcb_input_get_device_modifier_mapping_cookie_t xcb_input_get_device_modifier_mapping | ( | xcb_connection_t * | c,
|  | uint8_t | device_id |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_input_get_device_modifier_mapping_reply_t* xcb_input_get_device_modifier_mapping_reply | ( | xcb_connection_t * | c,
|  | xcb_input_get_device_modifier_mapping_cookie_t | cookie,
|  | xcb_generic_error_t ** | e |
| ) |  |  |

Return the reply

Parameters:

  | c | The connection
  | cookie | The cookie
  | e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_input_get_device_modifier_mapping_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

xcb_input_get_device_modifier_mapping_cookie_t xcb_input_get_device_modifier_mapping_unchecked | ( | xcb_connection_t * | c,
|  | uint8_t | device_id |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

xcb_input_get_device_motion_events_cookie_t xcb_input_get_device_motion_events | ( | xcb_connection_t * | c,
|  | xcb_timestamp_t | start,
|  | xcb_timestamp_t | stop,
|  | uint8_t | device_id |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_input_get_device_motion_events_reply_t* xcb_input_get_device_motion_events_reply | ( | xcb_connection_t * | c,
|  | xcb_input_get_device_motion_events_cookie_t | cookie,
|  | xcb_generic_error_t ** | e |
| ) |  |  |

Return the reply

Parameters:

  | c | The connection
  | cookie | The cookie
  | e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_input_get_device_motion_events_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

xcb_input_get_device_motion_events_cookie_t xcb_input_get_device_motion_events_unchecked | ( | xcb_connection_t * | c,
|  | xcb_timestamp_t | start,
|  | xcb_timestamp_t | stop,
|  | uint8_t | device_id |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

xcb_input_get_extension_version_cookie_t xcb_input_get_extension_version | ( | xcb_connection_t * | c,
|  | uint16_t | name_len,
|  | const char * | name |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_input_get_extension_version_reply_t* xcb_input_get_extension_version_reply | ( | xcb_connection_t * | c,
|  | xcb_input_get_extension_version_cookie_t | cookie,
|  | xcb_generic_error_t ** | e |
| ) |  |  |

Return the reply

Parameters:

  | c | The connection
  | cookie | The cookie
  | e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_input_get_extension_version_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

xcb_input_get_extension_version_cookie_t xcb_input_get_extension_version_unchecked | ( | xcb_connection_t * | c,
|  | uint16_t | name_len,
|  | const char * | name |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

xcb_input_get_feedback_control_cookie_t xcb_input_get_feedback_control | ( | xcb_connection_t * | c,
|  | uint8_t | device_id |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_input_get_feedback_control_reply_t* xcb_input_get_feedback_control_reply | ( | xcb_connection_t * | c,
|  | xcb_input_get_feedback_control_cookie_t | cookie,
|  | xcb_generic_error_t ** | e |
| ) |  |  |

Return the reply

Parameters:

  | c | The connection
  | cookie | The cookie
  | e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_input_get_feedback_control_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

xcb_input_get_feedback_control_cookie_t xcb_input_get_feedback_control_unchecked | ( | xcb_connection_t * | c,
|  | uint8_t | device_id |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

xcb_input_get_selected_extension_events_cookie_t xcb_input_get_selected_extension_events | ( | xcb_connection_t * | c,
|  | xcb_window_t | window |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_input_get_selected_extension_events_reply_t* xcb_input_get_selected_extension_events_reply | ( | xcb_connection_t * | c,
|  | xcb_input_get_selected_extension_events_cookie_t | cookie,
|  | xcb_generic_error_t ** | e |
| ) |  |  |

Return the reply

Parameters:

  | c | The connection
  | cookie | The cookie
  | e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_input_get_selected_extension_events_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

xcb_input_get_selected_extension_events_cookie_t xcb_input_get_selected_extension_events_unchecked | ( | xcb_connection_t * | c,
|  | xcb_window_t | window |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

xcb_input_grab_device_cookie_t xcb_input_grab_device | ( | xcb_connection_t * | c,
|  | xcb_window_t | grab_window,
|  | xcb_timestamp_t | time,
|  | uint16_t | num_classes,
|  | uint8_t | this_device_mode,
|  | uint8_t | other_device_mode,
|  | uint8_t | owner_events,
|  | uint8_t | device_id,
|  | const xcb_input_event_class_t * | classes |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_input_grab_device_button | ( | xcb_connection_t * | c,
|  | xcb_window_t | grab_window,
|  | uint8_t | grabbed_device,
|  | uint8_t | modifier_device,
|  | uint16_t | num_classes,
|  | uint16_t | modifiers,
|  | uint8_t | this_device_mode,
|  | uint8_t | other_device_mode,
|  | uint8_t | button,
|  | uint8_t | owner_events,
|  | const xcb_input_event_class_t * | classes |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_input_grab_device_button_checked | ( | xcb_connection_t * | c,
|  | xcb_window_t | grab_window,
|  | uint8_t | grabbed_device,
|  | uint8_t | modifier_device,
|  | uint16_t | num_classes,
|  | uint16_t | modifiers,
|  | uint8_t | this_device_mode,
|  | uint8_t | other_device_mode,
|  | uint8_t | button,
|  | uint8_t | owner_events,
|  | const xcb_input_event_class_t * | classes |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_void_cookie_t xcb_input_grab_device_key | ( | xcb_connection_t * | c,
|  | xcb_window_t | grab_window,
|  | uint16_t | num_classes,
|  | uint16_t | modifiers,
|  | uint8_t | modifier_device,
|  | uint8_t | grabbed_device,
|  | uint8_t | key,
|  | uint8_t | this_device_mode,
|  | uint8_t | other_device_mode,
|  | uint8_t | owner_events,
|  | const xcb_input_event_class_t * | classes |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_input_grab_device_key_checked | ( | xcb_connection_t * | c,
|  | xcb_window_t | grab_window,
|  | uint16_t | num_classes,
|  | uint16_t | modifiers,
|  | uint8_t | modifier_device,
|  | uint8_t | grabbed_device,
|  | uint8_t | key,
|  | uint8_t | this_device_mode,
|  | uint8_t | other_device_mode,
|  | uint8_t | owner_events,
|  | const xcb_input_event_class_t * | classes |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_input_grab_device_reply_t* xcb_input_grab_device_reply | ( | xcb_connection_t * | c,
|  | xcb_input_grab_device_cookie_t | cookie,
|  | xcb_generic_error_t ** | e |
| ) |  |  |

Return the reply

Parameters:

  | c | The connection
  | cookie | The cookie
  | e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_input_grab_device_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

xcb_input_grab_device_cookie_t xcb_input_grab_device_unchecked | ( | xcb_connection_t * | c,
|  | xcb_window_t | grab_window,
|  | xcb_timestamp_t | time,
|  | uint16_t | num_classes,
|  | uint8_t | this_device_mode,
|  | uint8_t | other_device_mode,
|  | uint8_t | owner_events,
|  | uint8_t | device_id,
|  | const xcb_input_event_class_t * | classes |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

xcb_generic_iterator_t xcb_input_input_class_info_end | ( | xcb_input_input_class_info_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters:

  | i | An xcb_input_input_class_info_iterator_t

Returns:
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

void xcb_input_input_class_info_next | ( | xcb_input_input_class_info_iterator_t * | i | ) |

Get the next element of the iterator

Parameters:

  | i | Pointer to a xcb_input_input_class_info_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_input_input_class_info_t)

xcb_generic_iterator_t xcb_input_input_info_end | ( | xcb_input_input_info_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters:

  | i | An xcb_input_input_info_iterator_t

Returns:
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

void xcb_input_input_info_next | ( | xcb_input_input_info_iterator_t * | i | ) |

Get the next element of the iterator

Parameters:

  | i | Pointer to a xcb_input_input_info_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_input_input_info_t)

xcb_generic_iterator_t xcb_input_input_state_end | ( | xcb_input_input_state_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters:

  | i | An xcb_input_input_state_iterator_t

Returns:
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

void xcb_input_input_state_next | ( | xcb_input_input_state_iterator_t * | i | ) |

Get the next element of the iterator

Parameters:

  | i | Pointer to a xcb_input_input_state_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_input_input_state_t)

xcb_generic_iterator_t xcb_input_integer_feedback_ctl_end | ( | xcb_input_integer_feedback_ctl_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters:

  | i | An xcb_input_integer_feedback_ctl_iterator_t

Returns:
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

void xcb_input_integer_feedback_ctl_next | ( | xcb_input_integer_feedback_ctl_iterator_t * | i | ) |

Get the next element of the iterator

Parameters:

  | i | Pointer to a xcb_input_integer_feedback_ctl_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_input_integer_feedback_ctl_t)

xcb_generic_iterator_t xcb_input_integer_feedback_state_end | ( | xcb_input_integer_feedback_state_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters:

  | i | An xcb_input_integer_feedback_state_iterator_t

Returns:
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

void xcb_input_integer_feedback_state_next | ( | xcb_input_integer_feedback_state_iterator_t * | i | ) |

Get the next element of the iterator

Parameters:

  | i | Pointer to a xcb_input_integer_feedback_state_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_input_integer_feedback_state_t)

xcb_generic_iterator_t xcb_input_kbd_feedback_ctl_end | ( | xcb_input_kbd_feedback_ctl_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters:

  | i | An xcb_input_kbd_feedback_ctl_iterator_t

Returns:
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

void xcb_input_kbd_feedback_ctl_next | ( | xcb_input_kbd_feedback_ctl_iterator_t * | i | ) |

Get the next element of the iterator

Parameters:

  | i | Pointer to a xcb_input_kbd_feedback_ctl_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_input_kbd_feedback_ctl_t)

xcb_generic_iterator_t xcb_input_kbd_feedback_state_end | ( | xcb_input_kbd_feedback_state_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters:

  | i | An xcb_input_kbd_feedback_state_iterator_t

Returns:
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

void xcb_input_kbd_feedback_state_next | ( | xcb_input_kbd_feedback_state_iterator_t * | i | ) |

Get the next element of the iterator

Parameters:

  | i | Pointer to a xcb_input_kbd_feedback_state_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_input_kbd_feedback_state_t)

xcb_generic_iterator_t xcb_input_key_code_end | ( | xcb_input_key_code_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters:

  | i | An xcb_input_key_code_iterator_t

Returns:
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

void xcb_input_key_code_next | ( | xcb_input_key_code_iterator_t * | i | ) |

Get the next element of the iterator

Parameters:

  | i | Pointer to a xcb_input_key_code_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_input_key_code_t)

xcb_generic_iterator_t xcb_input_key_info_end | ( | xcb_input_key_info_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters:

  | i | An xcb_input_key_info_iterator_t

Returns:
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

void xcb_input_key_info_next | ( | xcb_input_key_info_iterator_t * | i | ) |

Get the next element of the iterator

Parameters:

  | i | Pointer to a xcb_input_key_info_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_input_key_info_t)

xcb_generic_iterator_t xcb_input_key_state_end | ( | xcb_input_key_state_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters:

  | i | An xcb_input_key_state_iterator_t

Returns:
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

void xcb_input_key_state_next | ( | xcb_input_key_state_iterator_t * | i | ) |

Get the next element of the iterator

Parameters:

  | i | Pointer to a xcb_input_key_state_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_input_key_state_t)

xcb_generic_iterator_t xcb_input_led_feedback_ctl_end | ( | xcb_input_led_feedback_ctl_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters:

  | i | An xcb_input_led_feedback_ctl_iterator_t

Returns:
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

void xcb_input_led_feedback_ctl_next | ( | xcb_input_led_feedback_ctl_iterator_t * | i | ) |

Get the next element of the iterator

Parameters:

  | i | Pointer to a xcb_input_led_feedback_ctl_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_input_led_feedback_ctl_t)

xcb_generic_iterator_t xcb_input_led_feedback_state_end | ( | xcb_input_led_feedback_state_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters:

  | i | An xcb_input_led_feedback_state_iterator_t

Returns:
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

void xcb_input_led_feedback_state_next | ( | xcb_input_led_feedback_state_iterator_t * | i | ) |

Get the next element of the iterator

Parameters:

  | i | Pointer to a xcb_input_led_feedback_state_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_input_led_feedback_state_t)

xcb_input_list_input_devices_cookie_t xcb_input_list_input_devices | ( | xcb_connection_t * | c | ) |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_input_list_input_devices_reply_t* xcb_input_list_input_devices_reply | ( | xcb_connection_t * | c,
|  | xcb_input_list_input_devices_cookie_t | cookie,
|  | xcb_generic_error_t ** | e |
| ) |  |  |

Return the reply

Parameters:

  | c | The connection
  | cookie | The cookie
  | e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_input_list_input_devices_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

xcb_input_list_input_devices_cookie_t xcb_input_list_input_devices_unchecked | ( | xcb_connection_t * | c | ) |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

xcb_input_open_device_cookie_t xcb_input_open_device | ( | xcb_connection_t * | c,
|  | uint8_t | device_id |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_input_open_device_reply_t* xcb_input_open_device_reply | ( | xcb_connection_t * | c,
|  | xcb_input_open_device_cookie_t | cookie,
|  | xcb_generic_error_t ** | e |
| ) |  |  |

Return the reply

Parameters:

  | c | The connection
  | cookie | The cookie
  | e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_input_open_device_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

xcb_input_open_device_cookie_t xcb_input_open_device_unchecked | ( | xcb_connection_t * | c,
|  | uint8_t | device_id |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

xcb_generic_iterator_t xcb_input_ptr_feedback_ctl_end | ( | xcb_input_ptr_feedback_ctl_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters:

  | i | An xcb_input_ptr_feedback_ctl_iterator_t

Returns:
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

void xcb_input_ptr_feedback_ctl_next | ( | xcb_input_ptr_feedback_ctl_iterator_t * | i | ) |

Get the next element of the iterator

Parameters:

  | i | Pointer to a xcb_input_ptr_feedback_ctl_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_input_ptr_feedback_ctl_t)

xcb_generic_iterator_t xcb_input_ptr_feedback_state_end | ( | xcb_input_ptr_feedback_state_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters:

  | i | An xcb_input_ptr_feedback_state_iterator_t

Returns:
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

void xcb_input_ptr_feedback_state_next | ( | xcb_input_ptr_feedback_state_iterator_t * | i | ) |

Get the next element of the iterator

Parameters:

  | i | Pointer to a xcb_input_ptr_feedback_state_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_input_ptr_feedback_state_t)

xcb_input_query_device_state_cookie_t xcb_input_query_device_state | ( | xcb_connection_t * | c,
|  | uint8_t | device_id |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_input_query_device_state_reply_t* xcb_input_query_device_state_reply | ( | xcb_connection_t * | c,
|  | xcb_input_query_device_state_cookie_t | cookie,
|  | xcb_generic_error_t ** | e |
| ) |  |  |

Return the reply

Parameters:

  | c | The connection
  | cookie | The cookie
  | e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_input_query_device_state_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

xcb_input_query_device_state_cookie_t xcb_input_query_device_state_unchecked | ( | xcb_connection_t * | c,
|  | uint8_t | device_id |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

xcb_void_cookie_t xcb_input_select_extension_event | ( | xcb_connection_t * | c,
|  | xcb_window_t | window,
|  | uint16_t | num_classes,
|  | const xcb_input_event_class_t * | classes |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_input_select_extension_event_checked | ( | xcb_connection_t * | c,
|  | xcb_window_t | window,
|  | uint16_t | num_classes,
|  | const xcb_input_event_class_t * | classes |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_void_cookie_t xcb_input_send_extension_event | ( | xcb_connection_t * | c,
|  | xcb_window_t | destination,
|  | uint8_t | device_id,
|  | uint8_t | propagate,
|  | uint16_t | num_classes,
|  | uint8_t | num_events,
|  | const char * | events,
|  | const xcb_input_event_class_t * | classes |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_input_send_extension_event_checked | ( | xcb_connection_t * | c,
|  | xcb_window_t | destination,
|  | uint8_t | device_id,
|  | uint8_t | propagate,
|  | uint16_t | num_classes,
|  | uint8_t | num_events,
|  | const char * | events,
|  | const xcb_input_event_class_t * | classes |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_input_set_device_button_mapping_cookie_t xcb_input_set_device_button_mapping | ( | xcb_connection_t * | c,
|  | uint8_t | device_id,
|  | uint8_t | map_size,
|  | const uint8_t * | map |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_input_set_device_button_mapping_reply_t* xcb_input_set_device_button_mapping_reply | ( | xcb_connection_t * | c,
|  | xcb_input_set_device_button_mapping_cookie_t | cookie,
|  | xcb_generic_error_t ** | e |
| ) |  |  |

Return the reply

Parameters:

  | c | The connection
  | cookie | The cookie
  | e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_input_set_device_button_mapping_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

xcb_input_set_device_button_mapping_cookie_t xcb_input_set_device_button_mapping_unchecked | ( | xcb_connection_t * | c,
|  | uint8_t | device_id,
|  | uint8_t | map_size,
|  | const uint8_t * | map |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

xcb_void_cookie_t xcb_input_set_device_focus | ( | xcb_connection_t * | c,
|  | xcb_window_t | focus,
|  | xcb_timestamp_t | time,
|  | uint8_t | revert_to,
|  | uint8_t | device_id |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_input_set_device_focus_checked | ( | xcb_connection_t * | c,
|  | xcb_window_t | focus,
|  | xcb_timestamp_t | time,
|  | uint8_t | revert_to,
|  | uint8_t | device_id |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_input_set_device_mode_cookie_t xcb_input_set_device_mode | ( | xcb_connection_t * | c,
|  | uint8_t | device_id,
|  | uint8_t | mode |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_input_set_device_mode_reply_t* xcb_input_set_device_mode_reply | ( | xcb_connection_t * | c,
|  | xcb_input_set_device_mode_cookie_t | cookie,
|  | xcb_generic_error_t ** | e |
| ) |  |  |

Return the reply

Parameters:

  | c | The connection
  | cookie | The cookie
  | e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_input_set_device_mode_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

xcb_input_set_device_mode_cookie_t xcb_input_set_device_mode_unchecked | ( | xcb_connection_t * | c,
|  | uint8_t | device_id,
|  | uint8_t | mode |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

xcb_input_set_device_modifier_mapping_cookie_t xcb_input_set_device_modifier_mapping | ( | xcb_connection_t * | c,
|  | uint8_t | device_id,
|  | uint8_t | keycodes_per_modifier,
|  | const uint8_t * | keymaps |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_input_set_device_modifier_mapping_reply_t* xcb_input_set_device_modifier_mapping_reply | ( | xcb_connection_t * | c,
|  | xcb_input_set_device_modifier_mapping_cookie_t | cookie,
|  | xcb_generic_error_t ** | e |
| ) |  |  |

Return the reply

Parameters:

  | c | The connection
  | cookie | The cookie
  | e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_input_set_device_modifier_mapping_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

xcb_input_set_device_modifier_mapping_cookie_t xcb_input_set_device_modifier_mapping_unchecked | ( | xcb_connection_t * | c,
|  | uint8_t | device_id,
|  | uint8_t | keycodes_per_modifier,
|  | const uint8_t * | keymaps |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

xcb_input_set_device_valuators_cookie_t xcb_input_set_device_valuators | ( | xcb_connection_t * | c,
|  | uint8_t | device_id,
|  | uint8_t | first_valuator,
|  | uint8_t | num_valuators,
|  | const int32_t * | valuators |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_input_set_device_valuators_reply_t* xcb_input_set_device_valuators_reply | ( | xcb_connection_t * | c,
|  | xcb_input_set_device_valuators_cookie_t | cookie,
|  | xcb_generic_error_t ** | e |
| ) |  |  |

Return the reply

Parameters:

  | c | The connection
  | cookie | The cookie
  | e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_input_set_device_valuators_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

xcb_input_set_device_valuators_cookie_t xcb_input_set_device_valuators_unchecked | ( | xcb_connection_t * | c,
|  | uint8_t | device_id,
|  | uint8_t | first_valuator,
|  | uint8_t | num_valuators,
|  | const int32_t * | valuators |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

xcb_generic_iterator_t xcb_input_string_feedback_ctl_end | ( | xcb_input_string_feedback_ctl_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters:

  | i | An xcb_input_string_feedback_ctl_iterator_t

Returns:
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

void xcb_input_string_feedback_ctl_next | ( | xcb_input_string_feedback_ctl_iterator_t * | i | ) |

Get the next element of the iterator

Parameters:

  | i | Pointer to a xcb_input_string_feedback_ctl_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_input_string_feedback_ctl_t)

xcb_generic_iterator_t xcb_input_string_feedback_state_end | ( | xcb_input_string_feedback_state_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters:

  | i | An xcb_input_string_feedback_state_iterator_t

Returns:
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

void xcb_input_string_feedback_state_next | ( | xcb_input_string_feedback_state_iterator_t * | i | ) |

Get the next element of the iterator

Parameters:

  | i | Pointer to a xcb_input_string_feedback_state_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_input_string_feedback_state_t)

xcb_void_cookie_t xcb_input_ungrab_device | ( | xcb_connection_t * | c,
|  | xcb_timestamp_t | time,
|  | uint8_t | device_id |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_input_ungrab_device_button | ( | xcb_connection_t * | c,
|  | xcb_window_t | grab_window,
|  | uint16_t | modifiers,
|  | uint8_t | modifier_device,
|  | uint8_t | button,
|  | uint8_t | grabbed_device |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_input_ungrab_device_button_checked | ( | xcb_connection_t * | c,
|  | xcb_window_t | grab_window,
|  | uint16_t | modifiers,
|  | uint8_t | modifier_device,
|  | uint8_t | button,
|  | uint8_t | grabbed_device |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_void_cookie_t xcb_input_ungrab_device_checked | ( | xcb_connection_t * | c,
|  | xcb_timestamp_t | time,
|  | uint8_t | device_id |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_void_cookie_t xcb_input_ungrab_device_key | ( | xcb_connection_t * | c,
|  | xcb_window_t | grabWindow,
|  | uint16_t | modifiers,
|  | uint8_t | modifier_device,
|  | uint8_t | key,
|  | uint8_t | grabbed_device |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_input_ungrab_device_key_checked | ( | xcb_connection_t * | c,
|  | xcb_window_t | grabWindow,
|  | uint16_t | modifiers,
|  | uint8_t | modifier_device,
|  | uint8_t | key,
|  | uint8_t | grabbed_device |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_generic_iterator_t xcb_input_valuator_info_end | ( | xcb_input_valuator_info_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters:

  | i | An xcb_input_valuator_info_iterator_t

Returns:
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

void xcb_input_valuator_info_next | ( | xcb_input_valuator_info_iterator_t * | i | ) |

Get the next element of the iterator

Parameters:

  | i | Pointer to a xcb_input_valuator_info_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_input_valuator_info_t)

xcb_generic_iterator_t xcb_input_valuator_state_end | ( | xcb_input_valuator_state_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters:

  | i | An xcb_input_valuator_state_iterator_t

Returns:
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

void xcb_input_valuator_state_next | ( | xcb_input_valuator_state_iterator_t * | i | ) |

Get the next element of the iterator

Parameters:

  | i | Pointer to a xcb_input_valuator_state_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_input_valuator_state_t)